import{s as dt,n as mt,o as pt}from"../chunks/scheduler.37c15a92.js";import{S as ht,i as ft,g as s,s as l,r as d,A as ut,h as o,f as i,c as n,j as ot,u as m,x as r,k as rt,y as ct,a,v as p,d as h,t as f,w as u}from"../chunks/index.2bf4358c.js";import{C as gt}from"../chunks/CodeBlock.4f5fc1ad.js";import{C as $t}from"../chunks/CourseFloatingBanner.5dff5e20.js";import{H as c}from"../chunks/Heading.8ada512a.js";function bt(Ie){let g,ee,W,te,$,ie,b,ae,w,Ae="The model card is a file which is arguably as important as the model and tokenizer files in a model repository. It is the central definition of the model, ensuring reusability by fellow community members and reproducibility of results, and providing a platform on which other members may build their artifacts.",le,v,Se="Documenting the training and evaluation process helps others understand what to expect of a model — and providing sufficient information regarding the data that was used and the preprocessing and postprocessing that were done ensures that the limitations, biases, and contexts in which the model is and is not useful can be identified and understood.",ne,x,Qe="Therefore, creating a model card that clearly defines your model is a very important step. Here, we provide some tips that will help you with this. Creating the model card is done through the <em>README.md</em> file you saw earlier, which is a Markdown file.",se,y,Re='The “model card” concept originates from a research direction from Google, first shared in the paper <a href="https://arxiv.org/abs/1810.03993" rel="nofollow">“Model Cards for Model Reporting”</a> by Margaret Mitchell et al. A lot of information contained here is based on that paper, and we recommend you take a look at it to understand why model cards are so important in a world that values reproducibility, reusability, and fairness.',oe,C,Ve="The model card usually starts with a very brief, high-level overview of what the model is for, followed by additional details in the following sections:",re,T,Ne="<li>Model description</li> <li>Intended uses &amp; limitations</li> <li>How to use</li> <li>Limitations and bias</li> <li>Training data</li> <li>Training procedure</li> <li>Evaluation results</li>",de,M,De="Let’s take a look at what each of these sections should contain.",me,_,pe,H,Ge="The model description provides basic details about the model. This includes the architecture, version, if it was introduced in a paper, if an original implementation is available, the author, and general information about the model. Any copyright should be attributed here. General information about training procedures, parameters, and important disclaimers can also be mentioned in this section.",he,P,fe,k,Xe="Here you describe the use cases the model is intended for, including the languages, fields, and domains where it can be applied. This section of the model card can also document areas that are known to be out of scope for the model, or where it is likely to perform suboptimally.",ue,L,ce,j,Ye="This section should include some examples of how to use the model. This can showcase usage of the <code>pipeline()</code> function, usage of the model and tokenizer classes, and any other code you think might be helpful.",ge,E,$e,z,Ze="This part should indicate which dataset(s) the model was trained on. A brief description of the dataset(s) is also welcome.",be,q,we,B,Je="In this section you should describe all the relevant aspects of training that are useful from a reproducibility perspective. This includes any preprocessing and postprocessing that were done on the data, as well as details such as the number of epochs the model was trained for, the batch size, the learning rate, and so on.",ve,U,xe,F,Oe="Here you should describe the metrics you use for evaluation, and the different factors you are mesuring. Mentioning which metric(s) were used, on which dataset and which dataset split, makes it easy to compare you model’s performance compared to that of other models. These should be informed by the previous sections, such as the intended users and use cases.",ye,I,Ce,A,We="Finally, provide an indication of how well the model performs on the evaluation dataset. If the model uses a decision threshold, either provide the decision threshold used in the evaluation, or provide details on evaluation at different thresholds for the intended uses.",Te,S,Me,Q,Ke="Check out the following for a few examples of well-crafted model cards:",_e,R,et='<li><a href="https://huggingface.co/bert-base-cased" rel="nofollow"><code>bert-base-cased</code></a></li> <li><a href="https://huggingface.co/gpt2" rel="nofollow"><code>gpt2</code></a></li> <li><a href="https://huggingface.co/distilbert-base-uncased" rel="nofollow"><code>distilbert</code></a></li>',He,V,tt='More examples from different organizations and companies are available <a href="https://github.com/huggingface/model_card/blob/master/examples.md" rel="nofollow">here</a>.',Pe,N,ke,D,it="Model cards are not a requirement when publishing models, and you don’t need to include all of the sections described above when you make one. However, explicit documentation of the model can only benefit future users, so we recommend that you fill in as many of the sections as possible to the best of your knowledge and ability.",Le,G,je,X,at="If you have done a little exploring of the Hugging Face Hub, you should have seen that some models belong to certain categories: you can filter them by tasks, languages, libraries, and more. The categories a model belongs to are identified according to the metadata you add in the model card header.",Ee,Y,lt='For example, if you take a look at the <a href="https://huggingface.co/camembert-base/blob/main/README.md" rel="nofollow"><code>camembert-base</code> model card</a>, you should see the following lines in the model card header:',ze,Z,qe,J,nt="This metadata is parsed by the Hugging Face Hub, which then identifies this model as being a French model, with an MIT license, trained on the Oscar dataset.",Be,O,st='The <a href="https://github.com/huggingface/hub-docs/blame/main/modelcard.md" rel="nofollow">full model card specification</a> allows specifying languages, licenses, tags, datasets, metrics, as well as the evaluation results the model obtained when training.',Ue,K,Fe;return $=new c({props:{title:"Building a model card",local:"building-a-model-card",headingTag:"h1"}}),b=new $t({props:{chapter:4,classNames:"absolute z-10 right-0 top-0"}}),_=new c({props:{title:"Model description",local:"model-description",headingTag:"h3"}}),P=new c({props:{title:"Intended uses & limitations",local:"intended-uses-limitations",headingTag:"h3"}}),L=new c({props:{title:"How to use",local:"how-to-use",headingTag:"h3"}}),E=new c({props:{title:"Training data",local:"training-data",headingTag:"h3"}}),q=new c({props:{title:"Training procedure",local:"training-procedure",headingTag:"h3"}}),U=new c({props:{title:"Variable and metrics",local:"variable-and-metrics",headingTag:"h3"}}),I=new c({props:{title:"Evaluation results",local:"evaluation-results",headingTag:"h3"}}),S=new c({props:{title:"Example",local:"example",headingTag:"h2"}}),N=new c({props:{title:"Note",local:"note",headingTag:"h2"}}),G=new c({props:{title:"Model card metadata",local:"model-card-metadata",headingTag:"h2"}}),Z=new gt({props:{code:"LS0tJTBBbGFuZ3VhZ2UlM0ElMjBmciUwQWxpY2Vuc2UlM0ElMjBtaXQlMEFkYXRhc2V0cyUzQSUwQS0lMjBvc2NhciUwQS0tLQ==",highlighted:`<span class="hljs-meta">---</span>
<span class="hljs-attr">language:</span> <span class="hljs-string">fr</span>
<span class="hljs-attr">license:</span> <span class="hljs-string">mit</span>
<span class="hljs-attr">datasets:</span>
<span class="hljs-bullet">-</span> <span class="hljs-string">oscar</span>
<span class="hljs-meta">---</span>`,wrap:!1}}),{c(){g=s("meta"),ee=l(),W=s("p"),te=l(),d($.$$.fragment),ie=l(),d(b.$$.fragment),ae=l(),w=s("p"),w.textContent=Ae,le=l(),v=s("p"),v.textContent=Se,ne=l(),x=s("p"),x.innerHTML=Qe,se=l(),y=s("p"),y.innerHTML=Re,oe=l(),C=s("p"),C.textContent=Ve,re=l(),T=s("ul"),T.innerHTML=Ne,de=l(),M=s("p"),M.textContent=De,me=l(),d(_.$$.fragment),pe=l(),H=s("p"),H.textContent=Ge,he=l(),d(P.$$.fragment),fe=l(),k=s("p"),k.textContent=Xe,ue=l(),d(L.$$.fragment),ce=l(),j=s("p"),j.innerHTML=Ye,ge=l(),d(E.$$.fragment),$e=l(),z=s("p"),z.textContent=Ze,be=l(),d(q.$$.fragment),we=l(),B=s("p"),B.textContent=Je,ve=l(),d(U.$$.fragment),xe=l(),F=s("p"),F.textContent=Oe,ye=l(),d(I.$$.fragment),Ce=l(),A=s("p"),A.textContent=We,Te=l(),d(S.$$.fragment),Me=l(),Q=s("p"),Q.textContent=Ke,_e=l(),R=s("ul"),R.innerHTML=et,He=l(),V=s("p"),V.innerHTML=tt,Pe=l(),d(N.$$.fragment),ke=l(),D=s("p"),D.textContent=it,Le=l(),d(G.$$.fragment),je=l(),X=s("p"),X.textContent=at,Ee=l(),Y=s("p"),Y.innerHTML=lt,ze=l(),d(Z.$$.fragment),qe=l(),J=s("p"),J.textContent=nt,Be=l(),O=s("p"),O.innerHTML=st,Ue=l(),K=s("p"),this.h()},l(e){const t=ut("svelte-u9bgzb",document.head);g=o(t,"META",{name:!0,content:!0}),t.forEach(i),ee=n(e),W=o(e,"P",{}),ot(W).forEach(i),te=n(e),m($.$$.fragment,e),ie=n(e),m(b.$$.fragment,e),ae=n(e),w=o(e,"P",{"data-svelte-h":!0}),r(w)!=="svelte-7mjbms"&&(w.textContent=Ae),le=n(e),v=o(e,"P",{"data-svelte-h":!0}),r(v)!=="svelte-109ntj0"&&(v.textContent=Se),ne=n(e),x=o(e,"P",{"data-svelte-h":!0}),r(x)!=="svelte-1n2uqaf"&&(x.innerHTML=Qe),se=n(e),y=o(e,"P",{"data-svelte-h":!0}),r(y)!=="svelte-1e1xcsj"&&(y.innerHTML=Re),oe=n(e),C=o(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-13ulu24"&&(C.textContent=Ve),re=n(e),T=o(e,"UL",{"data-svelte-h":!0}),r(T)!=="svelte-v5g7z6"&&(T.innerHTML=Ne),de=n(e),M=o(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-ykqgyf"&&(M.textContent=De),me=n(e),m(_.$$.fragment,e),pe=n(e),H=o(e,"P",{"data-svelte-h":!0}),r(H)!=="svelte-11kwqy0"&&(H.textContent=Ge),he=n(e),m(P.$$.fragment,e),fe=n(e),k=o(e,"P",{"data-svelte-h":!0}),r(k)!=="svelte-auroff"&&(k.textContent=Xe),ue=n(e),m(L.$$.fragment,e),ce=n(e),j=o(e,"P",{"data-svelte-h":!0}),r(j)!=="svelte-2tiqf7"&&(j.innerHTML=Ye),ge=n(e),m(E.$$.fragment,e),$e=n(e),z=o(e,"P",{"data-svelte-h":!0}),r(z)!=="svelte-1i2q6pb"&&(z.textContent=Ze),be=n(e),m(q.$$.fragment,e),we=n(e),B=o(e,"P",{"data-svelte-h":!0}),r(B)!=="svelte-nt95jd"&&(B.textContent=Je),ve=n(e),m(U.$$.fragment,e),xe=n(e),F=o(e,"P",{"data-svelte-h":!0}),r(F)!=="svelte-1qdxrjj"&&(F.textContent=Oe),ye=n(e),m(I.$$.fragment,e),Ce=n(e),A=o(e,"P",{"data-svelte-h":!0}),r(A)!=="svelte-w86ge2"&&(A.textContent=We),Te=n(e),m(S.$$.fragment,e),Me=n(e),Q=o(e,"P",{"data-svelte-h":!0}),r(Q)!=="svelte-jmtag8"&&(Q.textContent=Ke),_e=n(e),R=o(e,"UL",{"data-svelte-h":!0}),r(R)!=="svelte-1fs0egh"&&(R.innerHTML=et),He=n(e),V=o(e,"P",{"data-svelte-h":!0}),r(V)!=="svelte-1r77ttc"&&(V.innerHTML=tt),Pe=n(e),m(N.$$.fragment,e),ke=n(e),D=o(e,"P",{"data-svelte-h":!0}),r(D)!=="svelte-17sbakn"&&(D.textContent=it),Le=n(e),m(G.$$.fragment,e),je=n(e),X=o(e,"P",{"data-svelte-h":!0}),r(X)!=="svelte-18zask6"&&(X.textContent=at),Ee=n(e),Y=o(e,"P",{"data-svelte-h":!0}),r(Y)!=="svelte-mb6qzn"&&(Y.innerHTML=lt),ze=n(e),m(Z.$$.fragment,e),qe=n(e),J=o(e,"P",{"data-svelte-h":!0}),r(J)!=="svelte-1u5iubo"&&(J.textContent=nt),Be=n(e),O=o(e,"P",{"data-svelte-h":!0}),r(O)!=="svelte-16hvlfw"&&(O.innerHTML=st),Ue=n(e),K=o(e,"P",{}),ot(K).forEach(i),this.h()},h(){rt(g,"name","hf:doc:metadata"),rt(g,"content",wt)},m(e,t){ct(document.head,g),a(e,ee,t),a(e,W,t),a(e,te,t),p($,e,t),a(e,ie,t),p(b,e,t),a(e,ae,t),a(e,w,t),a(e,le,t),a(e,v,t),a(e,ne,t),a(e,x,t),a(e,se,t),a(e,y,t),a(e,oe,t),a(e,C,t),a(e,re,t),a(e,T,t),a(e,de,t),a(e,M,t),a(e,me,t),p(_,e,t),a(e,pe,t),a(e,H,t),a(e,he,t),p(P,e,t),a(e,fe,t),a(e,k,t),a(e,ue,t),p(L,e,t),a(e,ce,t),a(e,j,t),a(e,ge,t),p(E,e,t),a(e,$e,t),a(e,z,t),a(e,be,t),p(q,e,t),a(e,we,t),a(e,B,t),a(e,ve,t),p(U,e,t),a(e,xe,t),a(e,F,t),a(e,ye,t),p(I,e,t),a(e,Ce,t),a(e,A,t),a(e,Te,t),p(S,e,t),a(e,Me,t),a(e,Q,t),a(e,_e,t),a(e,R,t),a(e,He,t),a(e,V,t),a(e,Pe,t),p(N,e,t),a(e,ke,t),a(e,D,t),a(e,Le,t),p(G,e,t),a(e,je,t),a(e,X,t),a(e,Ee,t),a(e,Y,t),a(e,ze,t),p(Z,e,t),a(e,qe,t),a(e,J,t),a(e,Be,t),a(e,O,t),a(e,Ue,t),a(e,K,t),Fe=!0},p:mt,i(e){Fe||(h($.$$.fragment,e),h(b.$$.fragment,e),h(_.$$.fragment,e),h(P.$$.fragment,e),h(L.$$.fragment,e),h(E.$$.fragment,e),h(q.$$.fragment,e),h(U.$$.fragment,e),h(I.$$.fragment,e),h(S.$$.fragment,e),h(N.$$.fragment,e),h(G.$$.fragment,e),h(Z.$$.fragment,e),Fe=!0)},o(e){f($.$$.fragment,e),f(b.$$.fragment,e),f(_.$$.fragment,e),f(P.$$.fragment,e),f(L.$$.fragment,e),f(E.$$.fragment,e),f(q.$$.fragment,e),f(U.$$.fragment,e),f(I.$$.fragment,e),f(S.$$.fragment,e),f(N.$$.fragment,e),f(G.$$.fragment,e),f(Z.$$.fragment,e),Fe=!1},d(e){e&&(i(ee),i(W),i(te),i(ie),i(ae),i(w),i(le),i(v),i(ne),i(x),i(se),i(y),i(oe),i(C),i(re),i(T),i(de),i(M),i(me),i(pe),i(H),i(he),i(fe),i(k),i(ue),i(ce),i(j),i(ge),i($e),i(z),i(be),i(we),i(B),i(ve),i(xe),i(F),i(ye),i(Ce),i(A),i(Te),i(Me),i(Q),i(_e),i(R),i(He),i(V),i(Pe),i(ke),i(D),i(Le),i(je),i(X),i(Ee),i(Y),i(ze),i(qe),i(J),i(Be),i(O),i(Ue),i(K)),i(g),u($,e),u(b,e),u(_,e),u(P,e),u(L,e),u(E,e),u(q,e),u(U,e),u(I,e),u(S,e),u(N,e),u(G,e),u(Z,e)}}}const wt='{"title":"Building a model card","local":"building-a-model-card","sections":[{"title":"Model description","local":"model-description","sections":[],"depth":3},{"title":"Intended uses & limitations","local":"intended-uses-limitations","sections":[],"depth":3},{"title":"How to use","local":"how-to-use","sections":[],"depth":3},{"title":"Training data","local":"training-data","sections":[],"depth":3},{"title":"Training procedure","local":"training-procedure","sections":[],"depth":3},{"title":"Variable and metrics","local":"variable-and-metrics","sections":[],"depth":3},{"title":"Evaluation results","local":"evaluation-results","sections":[],"depth":3},{"title":"Example","local":"example","sections":[],"depth":2},{"title":"Note","local":"note","sections":[],"depth":2},{"title":"Model card metadata","local":"model-card-metadata","sections":[],"depth":2}],"depth":1}';function vt(Ie){return pt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class _t extends ht{constructor(g){super(),ft(this,g,vt,bt,dt,{})}}export{_t as component};
