import{s as Sn,n as Yn,o as On}from"../chunks/scheduler.37c15a92.js";import{S as Jn,i as Qn,g as r,s as i,r as h,A as Xn,h as l,f as n,c as s,j as Wn,u as d,x as o,k as g,y as Zn,a,v as m,d as u,t as f,w as c}from"../chunks/index.2bf4358c.js";import{Y as Wt}from"../chunks/Youtube.1e50a667.js";import{C as Kn}from"../chunks/CourseFloatingBanner.5dff5e20.js";import{H as p}from"../chunks/Heading.8ada512a.js";function ea(St){let v,je,Me,qe,L,Ae,H,Ee,M,Yt="In this section, we will take a high-level look at the architecture of Transformer models.",Ie,P,Be,j,Ot="Here are some reference points in the (short) history of Transformer models:",De,w,Jt='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/transformers_chrono.svg" alt="A brief chronology of Transformers models."/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/transformers_chrono-dark.svg" alt="A brief chronology of Transformers models."/>',ze,q,Qt='The <a href="https://arxiv.org/abs/1706.03762" rel="nofollow">Transformer architecture</a> was introduced in June 2017. The focus of the original research was on translation tasks. This was followed by the introduction of several influential models, including:',Ge,A,Xt='<li><p><strong>June 2018</strong>: <a href="https://cdn.openai.com/research-covers/language-unsupervised/language_understanding_paper.pdf" rel="nofollow">GPT</a>, the first pretrained Transformer model, used for fine-tuning on various NLP tasks and obtained state-of-the-art results</p></li> <li><p><strong>October 2018</strong>: <a href="https://arxiv.org/abs/1810.04805" rel="nofollow">BERT</a>, another large pretrained model, this one designed to produce better summaries of sentences (more on this in the next chapter!)</p></li> <li><p><strong>February 2019</strong>: <a href="https://cdn.openai.com/better-language-models/language_models_are_unsupervised_multitask_learners.pdf" rel="nofollow">GPT-2</a>, an improved (and bigger) version of GPT that was not immediately publicly released due to ethical concerns</p></li> <li><p><strong>October 2019</strong>: <a href="https://arxiv.org/abs/1910.01108" rel="nofollow">DistilBERT</a>, a distilled version of BERT that is 60% faster, 40% lighter in memory, and still retains 97% of BERT’s performance</p></li> <li><p><strong>October 2019</strong>: <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">BART</a> and <a href="https://arxiv.org/abs/1910.10683" rel="nofollow">T5</a>, two large pretrained models using the same architecture as the original Transformer model (the first to do so)</p></li> <li><p><strong>May 2020</strong>, <a href="https://arxiv.org/abs/2005.14165" rel="nofollow">GPT-3</a>, an even bigger version of GPT-2 that is able to perform well on a variety of tasks without the need for fine-tuning (called <em>zero-shot learning</em>)</p></li>',Re,E,Zt="This list is far from comprehensive, and is just meant to highlight a few of the different kinds of Transformer models. Broadly, they can be grouped into three categories:",Fe,I,Kt="<li>GPT-like (also called <em>auto-regressive</em> Transformer models)</li> <li>BERT-like (also called <em>auto-encoding</em> Transformer models)</li> <li>BART/T5-like (also called <em>sequence-to-sequence</em> Transformer models)</li>",Ve,B,en="We will dive into these families in more depth later on.",Ue,D,Ne,z,tn="All the Transformer models mentioned above (GPT, BERT, BART, T5, etc.) have been trained as <em>language models</em>. This means they have been trained on large amounts of raw text in a self-supervised fashion. Self-supervised learning is a type of training in which the objective is automatically computed from the inputs of the model. That means that humans are not needed to label the data!",We,G,nn="This type of model develops a statistical understanding of the language it has been trained on, but it’s not very useful for specific practical tasks. Because of this, the general pretrained model then goes through a process called <em>transfer learning</em>. During this process, the model is fine-tuned in a supervised way — that is, using human-annotated labels — on a given task.",Se,R,an="An example of a task is predicting the next word in a sentence having read the <em>n</em> previous words. This is called <em>causal language modeling</em> because the output depends on the past and present inputs, but not the future ones.",Ye,T,sn='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/causal_modeling.svg" alt="Example of causal language modeling in which the next word from a sentence is predicted."/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/causal_modeling-dark.svg" alt="Example of causal language modeling in which the next word from a sentence is predicted."/>',Oe,F,rn="Another example is <em>masked language modeling</em>, in which the model predicts a masked word in the sentence.",Je,y,ln='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/masked_modeling.svg" alt="Example of masked language modeling in which a masked word from a sentence is predicted."/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/masked_modeling-dark.svg" alt="Example of masked language modeling in which a masked word from a sentence is predicted."/>',Qe,V,Xe,U,on="Apart from a few outliers (like DistilBERT), the general strategy to achieve better performance is by increasing the models’ sizes as well as the amount of data they are pretrained on.",Ze,x,hn='<img src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/model_parameters.png" alt="Number of parameters of recent Transformers models" width="90%"/>',Ke,N,dn="Unfortunately, training a model, especially a large one, requires a large amount of data. This becomes very costly in terms of time and compute resources. It even translates to environmental impact, as can be seen in the following graph.",et,b,mn='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/carbon_footprint.svg" alt="The carbon footprint of a large language model."/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/carbon_footprint-dark.svg" alt="The carbon footprint of a large language model."/>',tt,W,nt,S,un="And this is showing a project for a (very big) model led by a team consciously trying to reduce the environmental impact of pretraining. The footprint of running lots of trials to get the best hyperparameters would be even higher.",at,Y,fn="Imagine if each time a research team, a student organization, or a company wanted to train a model, it did so from scratch. This would lead to huge, unnecessary global costs!",it,O,cn="This is why sharing language models is paramount: sharing the trained weights and building on top of already trained weights reduces the overall compute cost and carbon footprint of the community.",st,J,gn='By the way, you can evaluate the carbon footprint of your models’ training through several tools. For example <a href="https://mlco2.github.io/impact/" rel="nofollow">ML CO2 Impact</a> or <a href="https://codecarbon.io/" rel="nofollow">Code Carbon</a> which is integrated in 🤗 Transformers. To learn more about this, you can read this <a href="https://huggingface.co/blog/carbon-emissions-on-the-hub" rel="nofollow">blog post</a> which will show you how to generate an <code>emissions.csv</code> file with an estimate of the footprint of your training, as well as the <a href="https://huggingface.co/docs/hub/model-cards-co2" rel="nofollow">documentation</a> of 🤗 Transformers addressing this topic.',rt,Q,lt,X,ot,Z,pn="<em>Pretraining</em> is the act of training a model from scratch: the weights are randomly initialized, and the training starts without any prior knowledge.",ht,k,vn='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/pretraining.svg" alt="The pretraining of a language model is costly in both time and money."/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/pretraining-dark.svg" alt="The pretraining of a language model is costly in both time and money."/>',dt,K,wn="This pretraining is usually done on very large amounts of data. Therefore, it requires a very large corpus of data, and training can take up to several weeks.",mt,ee,Tn="<em>Fine-tuning</em>, on the other hand, is the training done <strong>after</strong> a model has been pretrained. To perform fine-tuning, you first acquire a pretrained language model, then perform additional training with a dataset specific to your task. Wait — why not simply train the model for your final use case from the start (<strong>scratch</strong>)? There are a couple of reasons:",ut,te,yn="<li>The pretrained model was already trained on a dataset that has some similarities with the fine-tuning dataset. The fine-tuning process is thus able to take advantage of knowledge acquired by the initial model during pretraining (for instance, with NLP problems, the pretrained model will have some kind of statistical understanding of the language you are using for your task).</li> <li>Since the pretrained model was already trained on lots of data, the fine-tuning requires way less data to get decent results.</li> <li>For the same reason, the amount of time and resources needed to get good results are much lower.</li>",ft,ne,xn="For example, one could leverage a pretrained model trained on the English language and then fine-tune it on an arXiv corpus, resulting in a science/research-based model. The fine-tuning will only require a limited amount of data: the knowledge the pretrained model has acquired is “transferred,” hence the term <em>transfer learning</em>.",ct,$,bn='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/finetuning.svg" alt="The fine-tuning of a language model is cheaper than pretraining in both time and money."/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/finetuning-dark.svg" alt="The fine-tuning of a language model is cheaper than pretraining in both time and money."/>',gt,ae,kn="Fine-tuning a model therefore has lower time, data, financial, and environmental costs. It is also quicker and easier to iterate over different fine-tuning schemes, as the training is less constraining than a full pretraining.",pt,ie,$n="This process will also achieve better results than training from scratch (unless you have lots of data), which is why you should always try to leverage a pretrained model — one as close as possible to the task you have at hand — and fine-tune it.",vt,se,wt,re,Cn="In this section, we’ll go over the general architecture of the Transformer model. Don’t worry if you don’t understand some of the concepts; there are detailed sections later covering each of the components.",Tt,le,yt,oe,xt,he,_n="The model is primarily composed of two blocks:",bt,de,Ln="<li><strong>Encoder (left)</strong>: The encoder receives an input and builds a representation of it (its features). This means that the model is optimized to acquire understanding from the input.</li> <li><strong>Decoder (right)</strong>: The decoder uses the encoder’s representation (features) along with other inputs to generate a target sequence. This means that the model is optimized for generating outputs.</li>",kt,C,Hn='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/transformers_blocks.svg" alt="Architecture of a Transformers models"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/transformers_blocks-dark.svg" alt="Architecture of a Transformers models"/>',$t,me,Mn="Each of these parts can be used independently, depending on the task:",Ct,ue,Pn="<li><strong>Encoder-only models</strong>: Good for tasks that require understanding of the input, such as sentence classification and named entity recognition.</li> <li><strong>Decoder-only models</strong>: Good for generative tasks such as text generation.</li> <li><strong>Encoder-decoder models</strong> or <strong>sequence-to-sequence models</strong>: Good for generative tasks that require an input, such as translation or summarization.</li>",_t,fe,jn="We will dive into those architectures independently in later sections.",Lt,ce,Ht,ge,qn='A key feature of Transformer models is that they are built with special layers called <em>attention layers</em>. In fact, the title of the paper introducing the Transformer architecture was <a href="https://arxiv.org/abs/1706.03762" rel="nofollow">“Attention Is All You Need”</a>! We will explore the details of attention layers later in the course; for now, all you need to know is that this layer will tell the model to pay specific attention to certain words in the sentence you passed it (and more or less ignore the others) when dealing with the representation of each word.',Mt,pe,An="To put this into context, consider the task of translating text from English to French. Given the input “You like this course”, a translation model will need to also attend to the adjacent word “You” to get the proper translation for the word “like”, because in French the verb “like” is conjugated differently depending on the subject. The rest of the sentence, however, is not useful for the translation of that word. In the same vein, when translating “this” the model will also need to pay attention to the word “course”, because “this” translates differently depending on whether the associated noun is masculine or feminine. Again, the other words in the sentence will not matter for the translation of “course”. With more complex sentences (and more complex grammar rules), the model would need to pay special attention to words that might appear farther away in the sentence to properly translate each word.",Pt,ve,En="The same concept applies to any task associated with natural language: a word by itself has a meaning, but that meaning is deeply affected by the context, which can be any other word (or words) before or after the word being studied.",jt,we,In="Now that you have an idea of what attention layers are all about, let’s take a closer look at the Transformer architecture.",qt,Te,At,ye,Bn="The Transformer architecture was originally designed for translation. During training, the encoder receives inputs (sentences) in a certain language, while the decoder receives the same sentences in the desired target language. In the encoder, the attention layers can use all the words in a sentence (since, as we just saw, the translation of a given word can be dependent on what is after as well as before it in the sentence). The decoder, however, works sequentially and can only pay attention to the words in the sentence that it has already translated (so, only the words before the word currently being generated). For example, when we have predicted the first three words of the translated target, we give them to the decoder  which then uses all the inputs of the encoder to try to predict the fourth word.",Et,xe,Dn="To speed things up during training (when the model has access to target sentences), the decoder is fed the whole target, but it is not allowed to use future words (if it had access to the word at position 2 when trying to predict the word at position 2, the problem would not be very hard!). For instance, when trying to predict the fourth word, the attention layer will only have access to the words in positions 1 to 3.",It,be,zn="The original Transformer architecture looked like this, with the encoder on the left and the decoder on the right:",Bt,_,Gn='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/transformers.svg" alt="Architecture of a Transformers models"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/transformers-dark.svg" alt="Architecture of a Transformers models"/>',Dt,ke,Rn="Note that the first attention layer in a decoder block pays attention to all (past) inputs to the decoder, but the second attention layer uses the output of the encoder. It can thus access the whole input sentence to best predict the current word. This is very useful as different languages can have grammatical rules that put the words in different orders, or some context provided later in the sentence may be helpful to determine the best translation of a given word.",zt,$e,Fn="The <em>attention mask</em> can also be used in the encoder/decoder to prevent the model from paying attention to some special words — for instance, the special padding word used to make all the inputs the same length when batching together sentences.",Gt,Ce,Rt,_e,Vn="As we dive into Transformer models in this course, you’ll see mentions of <em>architectures</em> and <em>checkpoints</em> as well as <em>models</em>. These terms all have slightly different meanings:",Ft,Le,Un="<li><strong>Architecture</strong>: This is the skeleton of the model — the definition of each layer and each operation that happens within the model.</li> <li><strong>Checkpoints</strong>: These are the weights that will be loaded in a given architecture.</li> <li><strong>Model</strong>: This is an umbrella term that isn’t as precise as “architecture” or “checkpoint”: it can mean both. This course will specify <em>architecture</em> or <em>checkpoint</em> when it matters to reduce ambiguity.</li>",Vt,He,Nn="For example, BERT is an architecture while <code>bert-base-cased</code>, a set of weights trained by the Google team for the first release of BERT, is a checkpoint. However, one can say “the BERT model” and “the <code>bert-base-cased</code> model.”",Ut,Pe,Nt;return L=new p({props:{title:"How do Transformers work?",local:"how-do-transformers-work",headingTag:"h1"}}),H=new Kn({props:{chapter:1,classNames:"absolute z-10 right-0 top-0"}}),P=new p({props:{title:"A bit of Transformer history",local:"a-bit-of-transformer-history",headingTag:"h2"}}),D=new p({props:{title:"Transformers are language models",local:"transformers-are-language-models",headingTag:"h2"}}),V=new p({props:{title:"Transformers are big models",local:"transformers-are-big-models",headingTag:"h2"}}),W=new Wt({props:{id:"ftWlj4FBHTg"}}),Q=new p({props:{title:"Transfer Learning",local:"transfer-learning",headingTag:"h2"}}),X=new Wt({props:{id:"BqqfQnyjmgg"}}),se=new p({props:{title:"General architecture",local:"general-architecture",headingTag:"h2"}}),le=new Wt({props:{id:"H39Z_720T5s"}}),oe=new p({props:{title:"Introduction",local:"introduction",headingTag:"h2"}}),ce=new p({props:{title:"Attention layers",local:"attention-layers",headingTag:"h2"}}),Te=new p({props:{title:"The original architecture",local:"the-original-architecture",headingTag:"h2"}}),Ce=new p({props:{title:"Architectures vs. checkpoints",local:"architecture-vs-checkpoints",headingTag:"h2"}}),{c(){v=r("meta"),je=i(),Me=r("p"),qe=i(),h(L.$$.fragment),Ae=i(),h(H.$$.fragment),Ee=i(),M=r("p"),M.textContent=Yt,Ie=i(),h(P.$$.fragment),Be=i(),j=r("p"),j.textContent=Ot,De=i(),w=r("div"),w.innerHTML=Jt,ze=i(),q=r("p"),q.innerHTML=Qt,Ge=i(),A=r("ul"),A.innerHTML=Xt,Re=i(),E=r("p"),E.textContent=Zt,Fe=i(),I=r("ul"),I.innerHTML=Kt,Ve=i(),B=r("p"),B.textContent=en,Ue=i(),h(D.$$.fragment),Ne=i(),z=r("p"),z.innerHTML=tn,We=i(),G=r("p"),G.innerHTML=nn,Se=i(),R=r("p"),R.innerHTML=an,Ye=i(),T=r("div"),T.innerHTML=sn,Oe=i(),F=r("p"),F.innerHTML=rn,Je=i(),y=r("div"),y.innerHTML=ln,Qe=i(),h(V.$$.fragment),Xe=i(),U=r("p"),U.textContent=on,Ze=i(),x=r("div"),x.innerHTML=hn,Ke=i(),N=r("p"),N.textContent=dn,et=i(),b=r("div"),b.innerHTML=mn,tt=i(),h(W.$$.fragment),nt=i(),S=r("p"),S.textContent=un,at=i(),Y=r("p"),Y.textContent=fn,it=i(),O=r("p"),O.textContent=cn,st=i(),J=r("p"),J.innerHTML=gn,rt=i(),h(Q.$$.fragment),lt=i(),h(X.$$.fragment),ot=i(),Z=r("p"),Z.innerHTML=pn,ht=i(),k=r("div"),k.innerHTML=vn,dt=i(),K=r("p"),K.textContent=wn,mt=i(),ee=r("p"),ee.innerHTML=Tn,ut=i(),te=r("ul"),te.innerHTML=yn,ft=i(),ne=r("p"),ne.innerHTML=xn,ct=i(),$=r("div"),$.innerHTML=bn,gt=i(),ae=r("p"),ae.textContent=kn,pt=i(),ie=r("p"),ie.textContent=$n,vt=i(),h(se.$$.fragment),wt=i(),re=r("p"),re.textContent=Cn,Tt=i(),h(le.$$.fragment),yt=i(),h(oe.$$.fragment),xt=i(),he=r("p"),he.textContent=_n,bt=i(),de=r("ul"),de.innerHTML=Ln,kt=i(),C=r("div"),C.innerHTML=Hn,$t=i(),me=r("p"),me.textContent=Mn,Ct=i(),ue=r("ul"),ue.innerHTML=Pn,_t=i(),fe=r("p"),fe.textContent=jn,Lt=i(),h(ce.$$.fragment),Ht=i(),ge=r("p"),ge.innerHTML=qn,Mt=i(),pe=r("p"),pe.textContent=An,Pt=i(),ve=r("p"),ve.textContent=En,jt=i(),we=r("p"),we.textContent=In,qt=i(),h(Te.$$.fragment),At=i(),ye=r("p"),ye.textContent=Bn,Et=i(),xe=r("p"),xe.textContent=Dn,It=i(),be=r("p"),be.textContent=zn,Bt=i(),_=r("div"),_.innerHTML=Gn,Dt=i(),ke=r("p"),ke.textContent=Rn,zt=i(),$e=r("p"),$e.innerHTML=Fn,Gt=i(),h(Ce.$$.fragment),Rt=i(),_e=r("p"),_e.innerHTML=Vn,Ft=i(),Le=r("ul"),Le.innerHTML=Un,Vt=i(),He=r("p"),He.innerHTML=Nn,Ut=i(),Pe=r("p"),this.h()},l(e){const t=Xn("svelte-u9bgzb",document.head);v=l(t,"META",{name:!0,content:!0}),t.forEach(n),je=s(e),Me=l(e,"P",{}),Wn(Me).forEach(n),qe=s(e),d(L.$$.fragment,e),Ae=s(e),d(H.$$.fragment,e),Ee=s(e),M=l(e,"P",{"data-svelte-h":!0}),o(M)!=="svelte-nevaxf"&&(M.textContent=Yt),Ie=s(e),d(P.$$.fragment,e),Be=s(e),j=l(e,"P",{"data-svelte-h":!0}),o(j)!=="svelte-1jcx9rv"&&(j.textContent=Ot),De=s(e),w=l(e,"DIV",{class:!0,"data-svelte-h":!0}),o(w)!=="svelte-u8zu2n"&&(w.innerHTML=Jt),ze=s(e),q=l(e,"P",{"data-svelte-h":!0}),o(q)!=="svelte-1j103ni"&&(q.innerHTML=Qt),Ge=s(e),A=l(e,"UL",{"data-svelte-h":!0}),o(A)!=="svelte-naycua"&&(A.innerHTML=Xt),Re=s(e),E=l(e,"P",{"data-svelte-h":!0}),o(E)!=="svelte-1m71i2j"&&(E.textContent=Zt),Fe=s(e),I=l(e,"UL",{"data-svelte-h":!0}),o(I)!=="svelte-1e7nd4s"&&(I.innerHTML=Kt),Ve=s(e),B=l(e,"P",{"data-svelte-h":!0}),o(B)!=="svelte-jaq0lx"&&(B.textContent=en),Ue=s(e),d(D.$$.fragment,e),Ne=s(e),z=l(e,"P",{"data-svelte-h":!0}),o(z)!=="svelte-ucv5sy"&&(z.innerHTML=tn),We=s(e),G=l(e,"P",{"data-svelte-h":!0}),o(G)!=="svelte-1hp7752"&&(G.innerHTML=nn),Se=s(e),R=l(e,"P",{"data-svelte-h":!0}),o(R)!=="svelte-10pkbfq"&&(R.innerHTML=an),Ye=s(e),T=l(e,"DIV",{class:!0,"data-svelte-h":!0}),o(T)!=="svelte-lvew4p"&&(T.innerHTML=sn),Oe=s(e),F=l(e,"P",{"data-svelte-h":!0}),o(F)!=="svelte-xteog9"&&(F.innerHTML=rn),Je=s(e),y=l(e,"DIV",{class:!0,"data-svelte-h":!0}),o(y)!=="svelte-1r8x2dd"&&(y.innerHTML=ln),Qe=s(e),d(V.$$.fragment,e),Xe=s(e),U=l(e,"P",{"data-svelte-h":!0}),o(U)!=="svelte-1pw5nrh"&&(U.textContent=on),Ze=s(e),x=l(e,"DIV",{class:!0,"data-svelte-h":!0}),o(x)!=="svelte-5uz5bp"&&(x.innerHTML=hn),Ke=s(e),N=l(e,"P",{"data-svelte-h":!0}),o(N)!=="svelte-ezz0i1"&&(N.textContent=dn),et=s(e),b=l(e,"DIV",{class:!0,"data-svelte-h":!0}),o(b)!=="svelte-1a8euan"&&(b.innerHTML=mn),tt=s(e),d(W.$$.fragment,e),nt=s(e),S=l(e,"P",{"data-svelte-h":!0}),o(S)!=="svelte-1wgapl7"&&(S.textContent=un),at=s(e),Y=l(e,"P",{"data-svelte-h":!0}),o(Y)!=="svelte-211vnb"&&(Y.textContent=fn),it=s(e),O=l(e,"P",{"data-svelte-h":!0}),o(O)!=="svelte-n8xhkh"&&(O.textContent=cn),st=s(e),J=l(e,"P",{"data-svelte-h":!0}),o(J)!=="svelte-1ovxitb"&&(J.innerHTML=gn),rt=s(e),d(Q.$$.fragment,e),lt=s(e),d(X.$$.fragment,e),ot=s(e),Z=l(e,"P",{"data-svelte-h":!0}),o(Z)!=="svelte-1xuqewd"&&(Z.innerHTML=pn),ht=s(e),k=l(e,"DIV",{class:!0,"data-svelte-h":!0}),o(k)!=="svelte-152v0kx"&&(k.innerHTML=vn),dt=s(e),K=l(e,"P",{"data-svelte-h":!0}),o(K)!=="svelte-1tprb2h"&&(K.textContent=wn),mt=s(e),ee=l(e,"P",{"data-svelte-h":!0}),o(ee)!=="svelte-8g0g1c"&&(ee.innerHTML=Tn),ut=s(e),te=l(e,"UL",{"data-svelte-h":!0}),o(te)!=="svelte-b0fj4n"&&(te.innerHTML=yn),ft=s(e),ne=l(e,"P",{"data-svelte-h":!0}),o(ne)!=="svelte-26kq7y"&&(ne.innerHTML=xn),ct=s(e),$=l(e,"DIV",{class:!0,"data-svelte-h":!0}),o($)!=="svelte-1ngyuh1"&&($.innerHTML=bn),gt=s(e),ae=l(e,"P",{"data-svelte-h":!0}),o(ae)!=="svelte-1oaeh7b"&&(ae.textContent=kn),pt=s(e),ie=l(e,"P",{"data-svelte-h":!0}),o(ie)!=="svelte-qusi3u"&&(ie.textContent=$n),vt=s(e),d(se.$$.fragment,e),wt=s(e),re=l(e,"P",{"data-svelte-h":!0}),o(re)!=="svelte-1p8olu4"&&(re.textContent=Cn),Tt=s(e),d(le.$$.fragment,e),yt=s(e),d(oe.$$.fragment,e),xt=s(e),he=l(e,"P",{"data-svelte-h":!0}),o(he)!=="svelte-18eeaso"&&(he.textContent=_n),bt=s(e),de=l(e,"UL",{"data-svelte-h":!0}),o(de)!=="svelte-1wkb0pu"&&(de.innerHTML=Ln),kt=s(e),C=l(e,"DIV",{class:!0,"data-svelte-h":!0}),o(C)!=="svelte-l70qs1"&&(C.innerHTML=Hn),$t=s(e),me=l(e,"P",{"data-svelte-h":!0}),o(me)!=="svelte-1y3mdzr"&&(me.textContent=Mn),Ct=s(e),ue=l(e,"UL",{"data-svelte-h":!0}),o(ue)!=="svelte-2jfc2n"&&(ue.innerHTML=Pn),_t=s(e),fe=l(e,"P",{"data-svelte-h":!0}),o(fe)!=="svelte-b041c5"&&(fe.textContent=jn),Lt=s(e),d(ce.$$.fragment,e),Ht=s(e),ge=l(e,"P",{"data-svelte-h":!0}),o(ge)!=="svelte-hvksl0"&&(ge.innerHTML=qn),Mt=s(e),pe=l(e,"P",{"data-svelte-h":!0}),o(pe)!=="svelte-cyn048"&&(pe.textContent=An),Pt=s(e),ve=l(e,"P",{"data-svelte-h":!0}),o(ve)!=="svelte-rx6rgj"&&(ve.textContent=En),jt=s(e),we=l(e,"P",{"data-svelte-h":!0}),o(we)!=="svelte-18gv2hv"&&(we.textContent=In),qt=s(e),d(Te.$$.fragment,e),At=s(e),ye=l(e,"P",{"data-svelte-h":!0}),o(ye)!=="svelte-ff0omc"&&(ye.textContent=Bn),Et=s(e),xe=l(e,"P",{"data-svelte-h":!0}),o(xe)!=="svelte-pjyju0"&&(xe.textContent=Dn),It=s(e),be=l(e,"P",{"data-svelte-h":!0}),o(be)!=="svelte-myrlh9"&&(be.textContent=zn),Bt=s(e),_=l(e,"DIV",{class:!0,"data-svelte-h":!0}),o(_)!=="svelte-14wvpqf"&&(_.innerHTML=Gn),Dt=s(e),ke=l(e,"P",{"data-svelte-h":!0}),o(ke)!=="svelte-s64qll"&&(ke.textContent=Rn),zt=s(e),$e=l(e,"P",{"data-svelte-h":!0}),o($e)!=="svelte-1rj839v"&&($e.innerHTML=Fn),Gt=s(e),d(Ce.$$.fragment,e),Rt=s(e),_e=l(e,"P",{"data-svelte-h":!0}),o(_e)!=="svelte-1mykua9"&&(_e.innerHTML=Vn),Ft=s(e),Le=l(e,"UL",{"data-svelte-h":!0}),o(Le)!=="svelte-wq5jxr"&&(Le.innerHTML=Un),Vt=s(e),He=l(e,"P",{"data-svelte-h":!0}),o(He)!=="svelte-15kvqlk"&&(He.innerHTML=Nn),Ut=s(e),Pe=l(e,"P",{}),Wn(Pe).forEach(n),this.h()},h(){g(v,"name","hf:doc:metadata"),g(v,"content",ta),g(w,"class","flex justify-center"),g(T,"class","flex justify-center"),g(y,"class","flex justify-center"),g(x,"class","flex justify-center"),g(b,"class","flex justify-center"),g(k,"class","flex justify-center"),g($,"class","flex justify-center"),g(C,"class","flex justify-center"),g(_,"class","flex justify-center")},m(e,t){Zn(document.head,v),a(e,je,t),a(e,Me,t),a(e,qe,t),m(L,e,t),a(e,Ae,t),m(H,e,t),a(e,Ee,t),a(e,M,t),a(e,Ie,t),m(P,e,t),a(e,Be,t),a(e,j,t),a(e,De,t),a(e,w,t),a(e,ze,t),a(e,q,t),a(e,Ge,t),a(e,A,t),a(e,Re,t),a(e,E,t),a(e,Fe,t),a(e,I,t),a(e,Ve,t),a(e,B,t),a(e,Ue,t),m(D,e,t),a(e,Ne,t),a(e,z,t),a(e,We,t),a(e,G,t),a(e,Se,t),a(e,R,t),a(e,Ye,t),a(e,T,t),a(e,Oe,t),a(e,F,t),a(e,Je,t),a(e,y,t),a(e,Qe,t),m(V,e,t),a(e,Xe,t),a(e,U,t),a(e,Ze,t),a(e,x,t),a(e,Ke,t),a(e,N,t),a(e,et,t),a(e,b,t),a(e,tt,t),m(W,e,t),a(e,nt,t),a(e,S,t),a(e,at,t),a(e,Y,t),a(e,it,t),a(e,O,t),a(e,st,t),a(e,J,t),a(e,rt,t),m(Q,e,t),a(e,lt,t),m(X,e,t),a(e,ot,t),a(e,Z,t),a(e,ht,t),a(e,k,t),a(e,dt,t),a(e,K,t),a(e,mt,t),a(e,ee,t),a(e,ut,t),a(e,te,t),a(e,ft,t),a(e,ne,t),a(e,ct,t),a(e,$,t),a(e,gt,t),a(e,ae,t),a(e,pt,t),a(e,ie,t),a(e,vt,t),m(se,e,t),a(e,wt,t),a(e,re,t),a(e,Tt,t),m(le,e,t),a(e,yt,t),m(oe,e,t),a(e,xt,t),a(e,he,t),a(e,bt,t),a(e,de,t),a(e,kt,t),a(e,C,t),a(e,$t,t),a(e,me,t),a(e,Ct,t),a(e,ue,t),a(e,_t,t),a(e,fe,t),a(e,Lt,t),m(ce,e,t),a(e,Ht,t),a(e,ge,t),a(e,Mt,t),a(e,pe,t),a(e,Pt,t),a(e,ve,t),a(e,jt,t),a(e,we,t),a(e,qt,t),m(Te,e,t),a(e,At,t),a(e,ye,t),a(e,Et,t),a(e,xe,t),a(e,It,t),a(e,be,t),a(e,Bt,t),a(e,_,t),a(e,Dt,t),a(e,ke,t),a(e,zt,t),a(e,$e,t),a(e,Gt,t),m(Ce,e,t),a(e,Rt,t),a(e,_e,t),a(e,Ft,t),a(e,Le,t),a(e,Vt,t),a(e,He,t),a(e,Ut,t),a(e,Pe,t),Nt=!0},p:Yn,i(e){Nt||(u(L.$$.fragment,e),u(H.$$.fragment,e),u(P.$$.fragment,e),u(D.$$.fragment,e),u(V.$$.fragment,e),u(W.$$.fragment,e),u(Q.$$.fragment,e),u(X.$$.fragment,e),u(se.$$.fragment,e),u(le.$$.fragment,e),u(oe.$$.fragment,e),u(ce.$$.fragment,e),u(Te.$$.fragment,e),u(Ce.$$.fragment,e),Nt=!0)},o(e){f(L.$$.fragment,e),f(H.$$.fragment,e),f(P.$$.fragment,e),f(D.$$.fragment,e),f(V.$$.fragment,e),f(W.$$.fragment,e),f(Q.$$.fragment,e),f(X.$$.fragment,e),f(se.$$.fragment,e),f(le.$$.fragment,e),f(oe.$$.fragment,e),f(ce.$$.fragment,e),f(Te.$$.fragment,e),f(Ce.$$.fragment,e),Nt=!1},d(e){e&&(n(je),n(Me),n(qe),n(Ae),n(Ee),n(M),n(Ie),n(Be),n(j),n(De),n(w),n(ze),n(q),n(Ge),n(A),n(Re),n(E),n(Fe),n(I),n(Ve),n(B),n(Ue),n(Ne),n(z),n(We),n(G),n(Se),n(R),n(Ye),n(T),n(Oe),n(F),n(Je),n(y),n(Qe),n(Xe),n(U),n(Ze),n(x),n(Ke),n(N),n(et),n(b),n(tt),n(nt),n(S),n(at),n(Y),n(it),n(O),n(st),n(J),n(rt),n(lt),n(ot),n(Z),n(ht),n(k),n(dt),n(K),n(mt),n(ee),n(ut),n(te),n(ft),n(ne),n(ct),n($),n(gt),n(ae),n(pt),n(ie),n(vt),n(wt),n(re),n(Tt),n(yt),n(xt),n(he),n(bt),n(de),n(kt),n(C),n($t),n(me),n(Ct),n(ue),n(_t),n(fe),n(Lt),n(Ht),n(ge),n(Mt),n(pe),n(Pt),n(ve),n(jt),n(we),n(qt),n(At),n(ye),n(Et),n(xe),n(It),n(be),n(Bt),n(_),n(Dt),n(ke),n(zt),n($e),n(Gt),n(Rt),n(_e),n(Ft),n(Le),n(Vt),n(He),n(Ut),n(Pe)),n(v),c(L,e),c(H,e),c(P,e),c(D,e),c(V,e),c(W,e),c(Q,e),c(X,e),c(se,e),c(le,e),c(oe,e),c(ce,e),c(Te,e),c(Ce,e)}}}const ta='{"title":"How do Transformers work?","local":"how-do-transformers-work","sections":[{"title":"A bit of Transformer history","local":"a-bit-of-transformer-history","sections":[],"depth":2},{"title":"Transformers are language models","local":"transformers-are-language-models","sections":[],"depth":2},{"title":"Transformers are big models","local":"transformers-are-big-models","sections":[],"depth":2},{"title":"Transfer Learning","local":"transfer-learning","sections":[],"depth":2},{"title":"General architecture","local":"general-architecture","sections":[],"depth":2},{"title":"Introduction","local":"introduction","sections":[],"depth":2},{"title":"Attention layers","local":"attention-layers","sections":[],"depth":2},{"title":"The original architecture","local":"the-original-architecture","sections":[],"depth":2},{"title":"Architectures vs. checkpoints","local":"architecture-vs-checkpoints","sections":[],"depth":2}],"depth":1}';function na(St){return On(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class oa extends Jn{constructor(v){super(),Qn(this,v,na,ea,Sn,{})}}export{oa as component};
