import{s as Mt,n as Tt,o as xt}from"../chunks/scheduler.37c15a92.js";import{S as Pt,i as _t,g as i,s,r as m,A as jt,h as l,f as a,c as n,j as Ct,u as p,x as r,k as Ye,y as kt,a as o,v as c,d as u,t as d,w as f}from"../chunks/index.2bf4358c.js";import{C as v}from"../chunks/CodeBlock.4f5fc1ad.js";import{H as Ae}from"../chunks/Heading.8ada512a.js";function qt(Qe){let b,ne,oe,ie,g,le,y,De='Bem-vindo(a) ao curso da Hugging Face! Essa introdução te guiará para a configuração do ambiente de trabalho. Se você está começando agora o curso, nós recomendamos que você primeiramente dê uma olhada no <a href="/course/chapter1">Capítulo 1</a>, para só então voltar aqui, configurar o ambiente e começar a por a mão no código.',re,w,Oe="Todas as bibliotecas que usaremos nesse curso estão disponíveis como pacotes do Python, então aqui iremos te mostrar como configurar o ambiente no Python e instalar as bibliotecas específicas que você precisará.",me,C,Ke="Abordaremos 2 modos de configurar o ambiente, usando um Colab notebook ou um ambiente virtual Python. Fique à vontade para escolher o que mais fizer sentido para você.  Para os iniciantes, recomendamos fortemente que vocês iniciem pelo Colab notebook.",pe,M,et="Note que nós não iremos cobrir o básico sobre o Windows. Se você estiver usando o Windows, recomendamos seguir as instruções pelo Colab notebook. Se estiver usando Linux ou macOS, você pode escolher qualquer uma das abordagens descritas aqui.",ce,T,tt='A maior parte do curso depende de você ter uma conta na Hugging Face. Recomendamos criar uma agora <a href="https://huggingface.co/join" rel="nofollow">criar uma conta</a>.',ue,x,de,P,at="Usar um notebook Colab é a maneira mais simples possível de configuração, coloque um notebook no seu navegador e se prepare para a codificação!",fe,_,ot=`Se você não está familiarizado com o Colab, recomendamos seguir essa [introdução]
(<a href="https://colab.research.google.com/notebooks/intro.ipynb" rel="nofollow">https://colab.research.google.com/notebooks/intro.ipynb</a>). O Colab permitirá você usar algumas acelerações de hardware, como GPUs ou TPUs, e é gratuito para ambientes de trabalho pequenos.`,ve,j,st="Uma vez que você estiver confortável com o ambiente do Colab, crie um novo notebook e comece com essa configuração:",be,$,nt='<img src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter0/new_colab.png" alt="An empty colab notebook" width="80%"/>',$e,k,it="O próximo passo é instalar as bibliotecas que serão usadas nesse curso. Usaremos <code>pip</code> para a instalação, que é o gerenciador de pacotes do Python. Nos notebooks, você pode rodar os comandos do sistema precedendo do caractere <code>!</code>, então você poderá instalar a biblioteca 🤗 Transformers da seguinte forma:",he,q,ge,H,lt="Você pode assegurar que o pacote foi instalado corretamente por meio de sua importação dentro do ambiente de execução do Python:",ye,L,we,h,rt='<img src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter0/install.gif" alt="A gif showing the result of the two commands above: installation and import" width="80%"/>',Ce,U,mt="Isso instalará uma versão bem leve da 🤗 Transformers. Em particular, nenhum framework de aprendizagem de máquina (como PyTorch ou TensorFlow) estão instalados. Desde que iremos usar bastante de suas features na biblioteca, recomendamos instalar a versão de desenvolvimento, que vem com todas as dependências requisitadas para cada caso de uso imaginável:",Me,J,Te,I,pt="Isso levará um pouco de tempo, mas quando acabar você estará pronto/a para seguir o resto do curso!",xe,G,Pe,W,ct='Se você perferir usar o ambiente virtual Python, o primeiro passo é instalar o Python no seu sistema. Nós recomendamos <a href="https://realpython.com/installing-python/" rel="nofollow">esse guia</a> para começar.',_e,z,ut="Uma vez instalado o Python, você será capaz de rodar os comandos do Python em seu terminal. Você pode iniciar por rodar o seguinte comando para ter certeza que está instalado corretamente antes de iniciar os seguintes passos: <code>python --version</code>. Isso irá imprimir na tela a versão do Python disponível no seu sistema.",je,Z,dt="Quando você rodar um comando Python no seu terminal, como o <code>python --version</code>, você deve imaginar como um programa rodando seu comando como o “main” Python no seu sistema. Recomendamos manter essa instalação livre de qualquer pacote, e usando a para criar ambientes separados para cada aplicação que você for trabalhar - desse modo, cada aplicação pode ter suas próprias dependências e pacotes, e você não precisará se preocupar sobre potenciais problemas de compatibilidades com outras aplicações.",ke,N,ft='No Python isso é feito com <a href="https://docs.python.org/3/tutorial/venv.html" rel="nofollow"><em>ambientes virtuais</em></a>, que é uma árvore de diretórios que contém a instalação do Python com uma versão particular do mesmo juntamente com todos os pacotes que a aplicação precisa. Criar um ambiente virtual como esse pode ser feito com inúmeras ferramentas, mas usaremos o pacote oficial do Python para esse propósito, que se chama <a href="https://docs.python.org/3/library/venv.html#module-venv" rel="nofollow"><code>venv</code></a>.',qe,V,vt="Primeiro, crie o diretório que você gostaria que sua aplicação existisse - por exemplo, você pode querer criar um novo diretório chamado <em>curso-transformers</em> na raíz de seu diretório home:",He,R,Le,B,bt="Dentro desse diretório, crie um ambiente virtual usando o módulo Python <code>venv</code>:",Ue,X,Je,E,$t="Agora você deve ter dentro um diretório chamado <em>.env</em> em sua pasta vazia:",Ie,F,Ge,S,We,Y,ht="Você pode acessar e sair do seu ambiente virtual com os scripts <code>activate</code> e <code>deactivate</code>:",ze,A,Ze,Q,gt="Você pode ter certeza que seu ambiente virtual está ativado rodando o comando <code>which python</code>: se ele apontar para o ambiente virtual, então você conseguiu ativa-lo com sucesso!",Ne,D,Ve,O,Re,K,Be,ee,yt="Como na seção passada usando as instâncias do Google Colab, você precisará instalar os pacotes necessários para continuar. Novamente, você pode instalar a versão de desenvolvimento da 🤗 Transformers usando o gerenciador de pacotes <code>pip</code>:",Xe,te,Ee,ae,wt="Você agora configurou tudo e está pronto para seguir!",Fe,se,Se;return g=new Ae({props:{title:"Introdução",local:"introdução",headingTag:"h1"}}),x=new Ae({props:{title:"Usando um notebook Google Colab",local:"usando-um-notebook-google-colab",headingTag:"h2"}}),q=new v({props:{code:"IXBpcCUyMGluc3RhbGwlMjB0cmFuc2Zvcm1lcnM=",highlighted:'!pip <span class="hljs-keyword">install</span> transformers',wrap:!1}}),L=new v({props:{code:"aW1wb3J0JTIwdHJhbnNmb3JtZXJz",highlighted:'<span class="hljs-keyword">import</span> transformers',wrap:!1}}),J=new v({props:{code:"IXBpcCUyMGluc3RhbGwlMjB0cmFuc2Zvcm1lcnMlNUJzZW50ZW5jZXBpZWNlJTVE",highlighted:'!pip <span class="hljs-keyword">install</span> transformers[sentencepiece]',wrap:!1}}),G=new Ae({props:{title:"Usando um ambiente virtual Python",local:"usando-um-ambiente-virtual-python",headingTag:"h2"}}),R=new v({props:{code:"bWtkaXIlMjB+JTJGdHJhbnNmb3JtZXJzLWNvdXJzZSUwQWNkJTIwfiUyRnRyYW5zZm9ybWVycy1jb3Vyc2U=",highlighted:`<span class="hljs-built_in">mkdir</span> ~/transformers-course
<span class="hljs-built_in">cd</span> ~/transformers-course`,wrap:!1}}),X=new v({props:{code:"cHl0aG9uJTIwLW0lMjB2ZW52JTIwLmVudg==",highlighted:'<span class="hljs-keyword">python</span> -m venv .<span class="hljs-keyword">env</span>',wrap:!1}}),F=new v({props:{code:"bHMlMjAtYQ==",highlighted:'<span class="hljs-built_in">ls</span> -a',wrap:!1}}),S=new v({props:{code:"LiUyMCUyMCUyMCUyMCUyMCUyMC4uJTIwJTIwJTIwJTIwLmVudg==",highlighted:'.      <span class="hljs-string">..</span>    <span class="hljs-string">.env</span>',wrap:!1}}),A=new v({props:{code:"JTIzJTIwQWN0aXZhdGUlMjB0aGUlMjB2aXJ0dWFsJTIwZW52aXJvbm1lbnQlMEFzb3VyY2UlMjAuZW52JTJGYmluJTJGYWN0aXZhdGUlMEElMEElMjMlMjBEZWFjdGl2YXRlJTIwdGhlJTIwdmlydHVhbCUyMGVudmlyb25tZW50JTBBc291cmNlJTIwLmVudiUyRmJpbiUyRmRlYWN0aXZhdGU=",highlighted:`<span class="hljs-comment"># Activate the virtual environment</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/activate

<span class="hljs-comment"># Deactivate the virtual environment</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/deactivate`,wrap:!1}}),D=new v({props:{code:"d2hpY2glMjBweXRob24=",highlighted:'<span class="hljs-built_in">which</span> python',wrap:!1}}),O=new v({props:{code:"JTJGaG9tZSUyRiUzQ3VzZXIlM0UlMkZ0cmFuc2Zvcm1lcnMtY291cnNlJTJGLmVudiUyRmJpbiUyRnB5dGhvbg==",highlighted:'<span class="hljs-regexp">/home/</span>&lt;user&gt;<span class="hljs-regexp">/transformers-course/</span>.env<span class="hljs-regexp">/bin/</span>python',wrap:!1}}),K=new Ae({props:{title:"Instalando dependências",local:"instalando-dependências",headingTag:"h3"}}),te=new v({props:{code:"cGlwJTIwaW5zdGFsbCUyMCUyMnRyYW5zZm9ybWVycyU1QnNlbnRlbmNlcGllY2UlNUQlMjI=",highlighted:'pip <span class="hljs-keyword">install</span> <span class="hljs-string">&quot;transformers[sentencepiece]&quot;</span>',wrap:!1}}),{c(){b=i("meta"),ne=s(),oe=i("p"),ie=s(),m(g.$$.fragment),le=s(),y=i("p"),y.innerHTML=De,re=s(),w=i("p"),w.textContent=Oe,me=s(),C=i("p"),C.textContent=Ke,pe=s(),M=i("p"),M.textContent=et,ce=s(),T=i("p"),T.innerHTML=tt,ue=s(),m(x.$$.fragment),de=s(),P=i("p"),P.textContent=at,fe=s(),_=i("p"),_.innerHTML=ot,ve=s(),j=i("p"),j.textContent=st,be=s(),$=i("div"),$.innerHTML=nt,$e=s(),k=i("p"),k.innerHTML=it,he=s(),m(q.$$.fragment),ge=s(),H=i("p"),H.textContent=lt,ye=s(),m(L.$$.fragment),we=s(),h=i("div"),h.innerHTML=rt,Ce=s(),U=i("p"),U.textContent=mt,Me=s(),m(J.$$.fragment),Te=s(),I=i("p"),I.textContent=pt,xe=s(),m(G.$$.fragment),Pe=s(),W=i("p"),W.innerHTML=ct,_e=s(),z=i("p"),z.innerHTML=ut,je=s(),Z=i("p"),Z.innerHTML=dt,ke=s(),N=i("p"),N.innerHTML=ft,qe=s(),V=i("p"),V.innerHTML=vt,He=s(),m(R.$$.fragment),Le=s(),B=i("p"),B.innerHTML=bt,Ue=s(),m(X.$$.fragment),Je=s(),E=i("p"),E.innerHTML=$t,Ie=s(),m(F.$$.fragment),Ge=s(),m(S.$$.fragment),We=s(),Y=i("p"),Y.innerHTML=ht,ze=s(),m(A.$$.fragment),Ze=s(),Q=i("p"),Q.innerHTML=gt,Ne=s(),m(D.$$.fragment),Ve=s(),m(O.$$.fragment),Re=s(),m(K.$$.fragment),Be=s(),ee=i("p"),ee.innerHTML=yt,Xe=s(),m(te.$$.fragment),Ee=s(),ae=i("p"),ae.textContent=wt,Fe=s(),se=i("p"),this.h()},l(e){const t=jt("svelte-u9bgzb",document.head);b=l(t,"META",{name:!0,content:!0}),t.forEach(a),ne=n(e),oe=l(e,"P",{}),Ct(oe).forEach(a),ie=n(e),p(g.$$.fragment,e),le=n(e),y=l(e,"P",{"data-svelte-h":!0}),r(y)!=="svelte-1sccyy7"&&(y.innerHTML=De),re=n(e),w=l(e,"P",{"data-svelte-h":!0}),r(w)!=="svelte-1pookyt"&&(w.textContent=Oe),me=n(e),C=l(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-hteu4b"&&(C.textContent=Ke),pe=n(e),M=l(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-1jj0tts"&&(M.textContent=et),ce=n(e),T=l(e,"P",{"data-svelte-h":!0}),r(T)!=="svelte-ivkibr"&&(T.innerHTML=tt),ue=n(e),p(x.$$.fragment,e),de=n(e),P=l(e,"P",{"data-svelte-h":!0}),r(P)!=="svelte-17gq0k5"&&(P.textContent=at),fe=n(e),_=l(e,"P",{"data-svelte-h":!0}),r(_)!=="svelte-sgko0w"&&(_.innerHTML=ot),ve=n(e),j=l(e,"P",{"data-svelte-h":!0}),r(j)!=="svelte-1cq1pyk"&&(j.textContent=st),be=n(e),$=l(e,"DIV",{class:!0,"data-svelte-h":!0}),r($)!=="svelte-1mpe2rl"&&($.innerHTML=nt),$e=n(e),k=l(e,"P",{"data-svelte-h":!0}),r(k)!=="svelte-12fekw2"&&(k.innerHTML=it),he=n(e),p(q.$$.fragment,e),ge=n(e),H=l(e,"P",{"data-svelte-h":!0}),r(H)!=="svelte-wjxdgq"&&(H.textContent=lt),ye=n(e),p(L.$$.fragment,e),we=n(e),h=l(e,"DIV",{class:!0,"data-svelte-h":!0}),r(h)!=="svelte-1cj51wg"&&(h.innerHTML=rt),Ce=n(e),U=l(e,"P",{"data-svelte-h":!0}),r(U)!=="svelte-7bpxg4"&&(U.textContent=mt),Me=n(e),p(J.$$.fragment,e),Te=n(e),I=l(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-vtko65"&&(I.textContent=pt),xe=n(e),p(G.$$.fragment,e),Pe=n(e),W=l(e,"P",{"data-svelte-h":!0}),r(W)!=="svelte-aa8hrd"&&(W.innerHTML=ct),_e=n(e),z=l(e,"P",{"data-svelte-h":!0}),r(z)!=="svelte-138fb3f"&&(z.innerHTML=ut),je=n(e),Z=l(e,"P",{"data-svelte-h":!0}),r(Z)!=="svelte-17pm0s0"&&(Z.innerHTML=dt),ke=n(e),N=l(e,"P",{"data-svelte-h":!0}),r(N)!=="svelte-xls7gt"&&(N.innerHTML=ft),qe=n(e),V=l(e,"P",{"data-svelte-h":!0}),r(V)!=="svelte-1odsa49"&&(V.innerHTML=vt),He=n(e),p(R.$$.fragment,e),Le=n(e),B=l(e,"P",{"data-svelte-h":!0}),r(B)!=="svelte-mfntj"&&(B.innerHTML=bt),Ue=n(e),p(X.$$.fragment,e),Je=n(e),E=l(e,"P",{"data-svelte-h":!0}),r(E)!=="svelte-12wnrn8"&&(E.innerHTML=$t),Ie=n(e),p(F.$$.fragment,e),Ge=n(e),p(S.$$.fragment,e),We=n(e),Y=l(e,"P",{"data-svelte-h":!0}),r(Y)!=="svelte-gngv1z"&&(Y.innerHTML=ht),ze=n(e),p(A.$$.fragment,e),Ze=n(e),Q=l(e,"P",{"data-svelte-h":!0}),r(Q)!=="svelte-1usv6k6"&&(Q.innerHTML=gt),Ne=n(e),p(D.$$.fragment,e),Ve=n(e),p(O.$$.fragment,e),Re=n(e),p(K.$$.fragment,e),Be=n(e),ee=l(e,"P",{"data-svelte-h":!0}),r(ee)!=="svelte-1nh9cdm"&&(ee.innerHTML=yt),Xe=n(e),p(te.$$.fragment,e),Ee=n(e),ae=l(e,"P",{"data-svelte-h":!0}),r(ae)!=="svelte-1ag3kf5"&&(ae.textContent=wt),Fe=n(e),se=l(e,"P",{}),Ct(se).forEach(a),this.h()},h(){Ye(b,"name","hf:doc:metadata"),Ye(b,"content",Ht),Ye($,"class","flex justify-center"),Ye(h,"class","flex justify-center")},m(e,t){kt(document.head,b),o(e,ne,t),o(e,oe,t),o(e,ie,t),c(g,e,t),o(e,le,t),o(e,y,t),o(e,re,t),o(e,w,t),o(e,me,t),o(e,C,t),o(e,pe,t),o(e,M,t),o(e,ce,t),o(e,T,t),o(e,ue,t),c(x,e,t),o(e,de,t),o(e,P,t),o(e,fe,t),o(e,_,t),o(e,ve,t),o(e,j,t),o(e,be,t),o(e,$,t),o(e,$e,t),o(e,k,t),o(e,he,t),c(q,e,t),o(e,ge,t),o(e,H,t),o(e,ye,t),c(L,e,t),o(e,we,t),o(e,h,t),o(e,Ce,t),o(e,U,t),o(e,Me,t),c(J,e,t),o(e,Te,t),o(e,I,t),o(e,xe,t),c(G,e,t),o(e,Pe,t),o(e,W,t),o(e,_e,t),o(e,z,t),o(e,je,t),o(e,Z,t),o(e,ke,t),o(e,N,t),o(e,qe,t),o(e,V,t),o(e,He,t),c(R,e,t),o(e,Le,t),o(e,B,t),o(e,Ue,t),c(X,e,t),o(e,Je,t),o(e,E,t),o(e,Ie,t),c(F,e,t),o(e,Ge,t),c(S,e,t),o(e,We,t),o(e,Y,t),o(e,ze,t),c(A,e,t),o(e,Ze,t),o(e,Q,t),o(e,Ne,t),c(D,e,t),o(e,Ve,t),c(O,e,t),o(e,Re,t),c(K,e,t),o(e,Be,t),o(e,ee,t),o(e,Xe,t),c(te,e,t),o(e,Ee,t),o(e,ae,t),o(e,Fe,t),o(e,se,t),Se=!0},p:Tt,i(e){Se||(u(g.$$.fragment,e),u(x.$$.fragment,e),u(q.$$.fragment,e),u(L.$$.fragment,e),u(J.$$.fragment,e),u(G.$$.fragment,e),u(R.$$.fragment,e),u(X.$$.fragment,e),u(F.$$.fragment,e),u(S.$$.fragment,e),u(A.$$.fragment,e),u(D.$$.fragment,e),u(O.$$.fragment,e),u(K.$$.fragment,e),u(te.$$.fragment,e),Se=!0)},o(e){d(g.$$.fragment,e),d(x.$$.fragment,e),d(q.$$.fragment,e),d(L.$$.fragment,e),d(J.$$.fragment,e),d(G.$$.fragment,e),d(R.$$.fragment,e),d(X.$$.fragment,e),d(F.$$.fragment,e),d(S.$$.fragment,e),d(A.$$.fragment,e),d(D.$$.fragment,e),d(O.$$.fragment,e),d(K.$$.fragment,e),d(te.$$.fragment,e),Se=!1},d(e){e&&(a(ne),a(oe),a(ie),a(le),a(y),a(re),a(w),a(me),a(C),a(pe),a(M),a(ce),a(T),a(ue),a(de),a(P),a(fe),a(_),a(ve),a(j),a(be),a($),a($e),a(k),a(he),a(ge),a(H),a(ye),a(we),a(h),a(Ce),a(U),a(Me),a(Te),a(I),a(xe),a(Pe),a(W),a(_e),a(z),a(je),a(Z),a(ke),a(N),a(qe),a(V),a(He),a(Le),a(B),a(Ue),a(Je),a(E),a(Ie),a(Ge),a(We),a(Y),a(ze),a(Ze),a(Q),a(Ne),a(Ve),a(Re),a(Be),a(ee),a(Xe),a(Ee),a(ae),a(Fe),a(se)),a(b),f(g,e),f(x,e),f(q,e),f(L,e),f(J,e),f(G,e),f(R,e),f(X,e),f(F,e),f(S,e),f(A,e),f(D,e),f(O,e),f(K,e),f(te,e)}}}const Ht='{"title":"Introdução","local":"introdução","sections":[{"title":"Usando um notebook Google Colab","local":"usando-um-notebook-google-colab","sections":[],"depth":2},{"title":"Usando um ambiente virtual Python","local":"usando-um-ambiente-virtual-python","sections":[{"title":"Instalando dependências","local":"instalando-dependências","sections":[],"depth":3}],"depth":2}],"depth":1}';function Lt(Qe){return xt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Wt extends Pt{constructor(b){super(),_t(this,b,Lt,qt,Mt,{})}}export{Wt as component};
