import{s as me,n as $e,o as ue}from"../chunks/scheduler.37c15a92.js";import{S as re,i as xe,g as a,s as i,r as m,A as ve,h as p,f as l,c as s,j as pe,u as $,x as f,k as fe,y as Ce,a as n,v as u,d as r,t as x,w as v}from"../chunks/index.2bf4358c.js";import{C as ge}from"../chunks/CodeBlock.4f5fc1ad.js";import{C as he}from"../chunks/CourseFloatingBanner.33a4139d.js";import{H as C}from"../chunks/Heading.8ada512a.js";function oe(zt){let g,tt,W,et,h,lt,o,nt,_,Ft="Карточка модели — это файл, который, возможно, так же важен, как файлы модели и токенизатора в репозитории моделей. Это центральное описание модели, обеспечивающее возможность повторного использования другими членами сообщества и воспроизводимость результатов, а также предоставляющее платформу для других участников.",it,b,Rt="Документирование процесса обучения и оценки помогает другим понять, чего ожидать от модели, а предоставление достаточной информации об использованных данных, а также о проведенной предварительной и постобработке. По карточке модели ясны ограничения, предубеждения и контексты, в которых модель может быть полезна, а в каких случаях окажется бесполезной.",st,w,Vt="Поэтому создание карточки модели, которая четко определяет вашу модель, является очень важным шагом. Здесь мы даем несколько советов, которые помогут вам в этом. Карточка модели создается с помощью файла <em>README.md</em>, который вы видели ранее, который представляет собой файл Markdown.",at,d,At='Концепция «карточки модели» возникла в результате исследовательского направления Google, впервые представленного в статье [“Model Cards for Model Reporting”] (<a href="https://arxiv.org/abs/1810.03993" rel="nofollow">https://arxiv.org/abs/1810.03993</a>) Маргарет Митчелл и др. Большая часть информации, содержащейся здесь, основана на этом документе, и мы рекомендуем вам ознакомиться с ним, чтобы понять, почему карточки с моделями так важны в мире, который ценит воспроизводимость, возможность повторного использования и честность.',pt,M,Dt="Карточка модели обычно начинается с очень краткого общего обзора того, для чего предназначена модель, за которым следуют дополнительные сведения в следующих разделах:",ft,T,Gt="<li>Описание модели</li> <li>Предполагаемое использование и ограничения</li> <li>Как использовать</li> <li>Ограничения и предубеждения</li> <li>Тренировочные данные</li> <li>Процедура обучения</li> <li>Результаты оценки</li>",mt,P,Nt="Давайте посмотрим, что должен содержать каждый из этих разделов.",$t,c,ut,H,Xt="Описание содержит основные сведения о модели. Оно включает в себя архитектуру, версию, если модель была представлена в статье - автора, ссылку на оригинальную реализацию (если доступна), автора и общую информацию о модели. Любые авторские права должны быть указаны здесь. В этом разделе также можно упомянуть общую информацию о процедурах обучения, параметрах и важных отказах от ответственности.",rt,L,xt,j,Yt="Здесь вы описываете варианты использования, для которых предназначена модель, включая языки, области и домены, в которых она может применяться. В этом разделе карты модели также можно документировать те области, которые являются неподходящими для модели.",vt,E,Ct,y,Zt="Этот раздел должен включать несколько примеров того, как использовать модель. Это может быть продемонстрировано с использованием функции <code>pipeline()</code>, использованием классов модели и токенизатора, а также любым другим способом, удобным на ваш взгляд.",gt,U,ht,k,It="В этой части должно быть указано, на каком наборе данных обучалась модель. Также приветствуется краткое описание набора(ов) данных.",ot,q,_t,B,Jt="В этом разделе вы должны описать все важные аспекты обучения, которые полезны с точки зрения воспроизводимости. Раздел включает в себя любую предварительную и постобработку данных, а также такие детали, как количество эпох, на которых была обучена модель, размер батча, скорость обучения и т. д.",bt,S,wt,Q,Ot="Здесь вы должны описать метрики, которые вы используете для оценки, и прочие величины, которые вы замеряете. Напишите, какие метрики использовались, в каком датасете и какое разделение разбиение датасета позволяет легко сравнивать производительность вашей модели с другими моделями.",dt,z,Mt,F,Wt="Наконец, укажите, насколько хорошо модель работает с набором данных для оценки. Если в модели используется порог принятия решения (threshold)– укажите его, либо предоставьте подробные сведения об оценке при различных порогах для предполагаемого использования.",Tt,R,Pt,V,Kt="Ознакомьтесь с несколькими примерами хорошо сделанных карточек моделей:",ct,A,te='<li><a href="https://huggingface.co/bert-base-cased" rel="nofollow"><code>bert-base-cased</code></a></li> <li><a href="https://huggingface.co/gpt2" rel="nofollow"><code>gpt2</code></a></li> <li><a href="https://huggingface.co/distilbert-base-uncased" rel="nofollow"><code>distilbert</code></a></li>',Ht,D,ee='Больше примеров от других организаций и компаний доступны: <a href="https://github.com/huggingface/model_card/blob/master/examples.md" rel="nofollow">здесь</a>.',Lt,G,jt,N,le="Карточки моделей не являются обязательным требованием при публикации моделей, и вам не нужно включать все разделы, описанные выше, при их создании. Однако подробное документирование модели может принести только пользу будущим пользователям, поэтому мы рекомендуем вам заполнить как можно больше разделов в меру своих знаний и способностей.",Et,X,yt,Y,ne="Если вы немного изучили Hugging Face Hub, вы должны были заметить, что некоторые модели относятся к определенным категориям: вы можете фильтровать их по задачам, языкам, библиотекам и т. д. Категории, к которым принадлежит модель, идентифицируются в соответствии с метаданными, которые вы добавляете в заголовок карточки модели.",Ut,Z,ie='Например, если вы посмотрите на <a href="https://huggingface.co/camembert-base/blob/main/README.md" rel="nofollow">карточку модели <code>camembert-base</code></a>, вы должны увидеть следующие строки в заголовке карточки модели:',kt,I,qt,J,se="Эти метаданные анализируются Hugging Face Hub, который затем идентифицирует эту модель как французскую модель с лицензией MIT, обученную на наборе данных Oscar.",Bt,O,ae='<a href="https://github.com/huggingface/hub-docs/blame/main/modelcard.md" rel="nofollow">Полная спецификация карточки модели</a> позволяет указать языкы, лицензии, теги, датасеты, метрики, а также результаты валидации модели.',St,K,Qt;return h=new C({props:{title:"Создание карточки модели",local:"создание-карточки-модели",headingTag:"h1"}}),o=new he({props:{chapter:4,classNames:"absolute z-10 right-0 top-0"}}),c=new C({props:{title:"Описание модели",local:"описание-модели",headingTag:"h3"}}),L=new C({props:{title:"Предполагаемое использование и ограничения",local:"предполагаемое-использование-и-ограничения",headingTag:"h3"}}),E=new C({props:{title:"Как использовать",local:"как-использовать",headingTag:"h3"}}),U=new C({props:{title:"Обучающие данные",local:"обучающие-данные",headingTag:"h3"}}),q=new C({props:{title:"Процедура обучения",local:"процедура-обучения",headingTag:"h3"}}),S=new C({props:{title:"Variable and metrics",local:"variable-and-metrics",headingTag:"h3"}}),z=new C({props:{title:"Результаты валидации",local:"результаты-валидации",headingTag:"h3"}}),R=new C({props:{title:"Пример",local:"пример",headingTag:"h2"}}),G=new C({props:{title:"Примечание",local:"примечание",headingTag:"h2"}}),X=new C({props:{title:"Метаданные карточки модели",local:"метаданные-карточки-модели",headingTag:"h2"}}),I=new ge({props:{code:"LS0tJTBBbGFuZ3VhZ2UlM0ElMjBmciUwQWxpY2Vuc2UlM0ElMjBtaXQlMEFkYXRhc2V0cyUzQSUwQS0lMjBvc2NhciUwQS0tLQ==",highlighted:`<span class="hljs-meta">---</span>
<span class="hljs-attr">language:</span> <span class="hljs-string">fr</span>
<span class="hljs-attr">license:</span> <span class="hljs-string">mit</span>
<span class="hljs-attr">datasets:</span>
<span class="hljs-bullet">-</span> <span class="hljs-string">oscar</span>
<span class="hljs-meta">---</span>`,wrap:!1}}),{c(){g=a("meta"),tt=i(),W=a("p"),et=i(),m(h.$$.fragment),lt=i(),m(o.$$.fragment),nt=i(),_=a("p"),_.textContent=Ft,it=i(),b=a("p"),b.textContent=Rt,st=i(),w=a("p"),w.innerHTML=Vt,at=i(),d=a("p"),d.innerHTML=At,pt=i(),M=a("p"),M.textContent=Dt,ft=i(),T=a("ul"),T.innerHTML=Gt,mt=i(),P=a("p"),P.textContent=Nt,$t=i(),m(c.$$.fragment),ut=i(),H=a("p"),H.textContent=Xt,rt=i(),m(L.$$.fragment),xt=i(),j=a("p"),j.textContent=Yt,vt=i(),m(E.$$.fragment),Ct=i(),y=a("p"),y.innerHTML=Zt,gt=i(),m(U.$$.fragment),ht=i(),k=a("p"),k.textContent=It,ot=i(),m(q.$$.fragment),_t=i(),B=a("p"),B.textContent=Jt,bt=i(),m(S.$$.fragment),wt=i(),Q=a("p"),Q.textContent=Ot,dt=i(),m(z.$$.fragment),Mt=i(),F=a("p"),F.textContent=Wt,Tt=i(),m(R.$$.fragment),Pt=i(),V=a("p"),V.textContent=Kt,ct=i(),A=a("ul"),A.innerHTML=te,Ht=i(),D=a("p"),D.innerHTML=ee,Lt=i(),m(G.$$.fragment),jt=i(),N=a("p"),N.textContent=le,Et=i(),m(X.$$.fragment),yt=i(),Y=a("p"),Y.textContent=ne,Ut=i(),Z=a("p"),Z.innerHTML=ie,kt=i(),m(I.$$.fragment),qt=i(),J=a("p"),J.textContent=se,Bt=i(),O=a("p"),O.innerHTML=ae,St=i(),K=a("p"),this.h()},l(t){const e=ve("svelte-u9bgzb",document.head);g=p(e,"META",{name:!0,content:!0}),e.forEach(l),tt=s(t),W=p(t,"P",{}),pe(W).forEach(l),et=s(t),$(h.$$.fragment,t),lt=s(t),$(o.$$.fragment,t),nt=s(t),_=p(t,"P",{"data-svelte-h":!0}),f(_)!=="svelte-nz57bt"&&(_.textContent=Ft),it=s(t),b=p(t,"P",{"data-svelte-h":!0}),f(b)!=="svelte-yiujq7"&&(b.textContent=Rt),st=s(t),w=p(t,"P",{"data-svelte-h":!0}),f(w)!=="svelte-9edp5i"&&(w.innerHTML=Vt),at=s(t),d=p(t,"P",{"data-svelte-h":!0}),f(d)!=="svelte-1v2ovlj"&&(d.innerHTML=At),pt=s(t),M=p(t,"P",{"data-svelte-h":!0}),f(M)!=="svelte-1jn8b6j"&&(M.textContent=Dt),ft=s(t),T=p(t,"UL",{"data-svelte-h":!0}),f(T)!=="svelte-cbsm46"&&(T.innerHTML=Gt),mt=s(t),P=p(t,"P",{"data-svelte-h":!0}),f(P)!=="svelte-1qg7u0q"&&(P.textContent=Nt),$t=s(t),$(c.$$.fragment,t),ut=s(t),H=p(t,"P",{"data-svelte-h":!0}),f(H)!=="svelte-1m9iwmk"&&(H.textContent=Xt),rt=s(t),$(L.$$.fragment,t),xt=s(t),j=p(t,"P",{"data-svelte-h":!0}),f(j)!=="svelte-1rlniif"&&(j.textContent=Yt),vt=s(t),$(E.$$.fragment,t),Ct=s(t),y=p(t,"P",{"data-svelte-h":!0}),f(y)!=="svelte-f6wt3b"&&(y.innerHTML=Zt),gt=s(t),$(U.$$.fragment,t),ht=s(t),k=p(t,"P",{"data-svelte-h":!0}),f(k)!=="svelte-1hyu640"&&(k.textContent=It),ot=s(t),$(q.$$.fragment,t),_t=s(t),B=p(t,"P",{"data-svelte-h":!0}),f(B)!=="svelte-4cngfy"&&(B.textContent=Jt),bt=s(t),$(S.$$.fragment,t),wt=s(t),Q=p(t,"P",{"data-svelte-h":!0}),f(Q)!=="svelte-ivu2lq"&&(Q.textContent=Ot),dt=s(t),$(z.$$.fragment,t),Mt=s(t),F=p(t,"P",{"data-svelte-h":!0}),f(F)!=="svelte-6nevjp"&&(F.textContent=Wt),Tt=s(t),$(R.$$.fragment,t),Pt=s(t),V=p(t,"P",{"data-svelte-h":!0}),f(V)!=="svelte-11iaolh"&&(V.textContent=Kt),ct=s(t),A=p(t,"UL",{"data-svelte-h":!0}),f(A)!=="svelte-1fs0egh"&&(A.innerHTML=te),Ht=s(t),D=p(t,"P",{"data-svelte-h":!0}),f(D)!=="svelte-1hthqu9"&&(D.innerHTML=ee),Lt=s(t),$(G.$$.fragment,t),jt=s(t),N=p(t,"P",{"data-svelte-h":!0}),f(N)!=="svelte-6vnsq0"&&(N.textContent=le),Et=s(t),$(X.$$.fragment,t),yt=s(t),Y=p(t,"P",{"data-svelte-h":!0}),f(Y)!=="svelte-nlrxie"&&(Y.textContent=ne),Ut=s(t),Z=p(t,"P",{"data-svelte-h":!0}),f(Z)!=="svelte-12y29x9"&&(Z.innerHTML=ie),kt=s(t),$(I.$$.fragment,t),qt=s(t),J=p(t,"P",{"data-svelte-h":!0}),f(J)!=="svelte-1nuu1yk"&&(J.textContent=se),Bt=s(t),O=p(t,"P",{"data-svelte-h":!0}),f(O)!=="svelte-x5z9ld"&&(O.innerHTML=ae),St=s(t),K=p(t,"P",{}),pe(K).forEach(l),this.h()},h(){fe(g,"name","hf:doc:metadata"),fe(g,"content",_e)},m(t,e){Ce(document.head,g),n(t,tt,e),n(t,W,e),n(t,et,e),u(h,t,e),n(t,lt,e),u(o,t,e),n(t,nt,e),n(t,_,e),n(t,it,e),n(t,b,e),n(t,st,e),n(t,w,e),n(t,at,e),n(t,d,e),n(t,pt,e),n(t,M,e),n(t,ft,e),n(t,T,e),n(t,mt,e),n(t,P,e),n(t,$t,e),u(c,t,e),n(t,ut,e),n(t,H,e),n(t,rt,e),u(L,t,e),n(t,xt,e),n(t,j,e),n(t,vt,e),u(E,t,e),n(t,Ct,e),n(t,y,e),n(t,gt,e),u(U,t,e),n(t,ht,e),n(t,k,e),n(t,ot,e),u(q,t,e),n(t,_t,e),n(t,B,e),n(t,bt,e),u(S,t,e),n(t,wt,e),n(t,Q,e),n(t,dt,e),u(z,t,e),n(t,Mt,e),n(t,F,e),n(t,Tt,e),u(R,t,e),n(t,Pt,e),n(t,V,e),n(t,ct,e),n(t,A,e),n(t,Ht,e),n(t,D,e),n(t,Lt,e),u(G,t,e),n(t,jt,e),n(t,N,e),n(t,Et,e),u(X,t,e),n(t,yt,e),n(t,Y,e),n(t,Ut,e),n(t,Z,e),n(t,kt,e),u(I,t,e),n(t,qt,e),n(t,J,e),n(t,Bt,e),n(t,O,e),n(t,St,e),n(t,K,e),Qt=!0},p:$e,i(t){Qt||(r(h.$$.fragment,t),r(o.$$.fragment,t),r(c.$$.fragment,t),r(L.$$.fragment,t),r(E.$$.fragment,t),r(U.$$.fragment,t),r(q.$$.fragment,t),r(S.$$.fragment,t),r(z.$$.fragment,t),r(R.$$.fragment,t),r(G.$$.fragment,t),r(X.$$.fragment,t),r(I.$$.fragment,t),Qt=!0)},o(t){x(h.$$.fragment,t),x(o.$$.fragment,t),x(c.$$.fragment,t),x(L.$$.fragment,t),x(E.$$.fragment,t),x(U.$$.fragment,t),x(q.$$.fragment,t),x(S.$$.fragment,t),x(z.$$.fragment,t),x(R.$$.fragment,t),x(G.$$.fragment,t),x(X.$$.fragment,t),x(I.$$.fragment,t),Qt=!1},d(t){t&&(l(tt),l(W),l(et),l(lt),l(nt),l(_),l(it),l(b),l(st),l(w),l(at),l(d),l(pt),l(M),l(ft),l(T),l(mt),l(P),l($t),l(ut),l(H),l(rt),l(xt),l(j),l(vt),l(Ct),l(y),l(gt),l(ht),l(k),l(ot),l(_t),l(B),l(bt),l(wt),l(Q),l(dt),l(Mt),l(F),l(Tt),l(Pt),l(V),l(ct),l(A),l(Ht),l(D),l(Lt),l(jt),l(N),l(Et),l(yt),l(Y),l(Ut),l(Z),l(kt),l(qt),l(J),l(Bt),l(O),l(St),l(K)),l(g),v(h,t),v(o,t),v(c,t),v(L,t),v(E,t),v(U,t),v(q,t),v(S,t),v(z,t),v(R,t),v(G,t),v(X,t),v(I,t)}}}const _e='{"title":"Создание карточки модели","local":"создание-карточки-модели","sections":[{"title":"Описание модели","local":"описание-модели","sections":[],"depth":3},{"title":"Предполагаемое использование и ограничения","local":"предполагаемое-использование-и-ограничения","sections":[],"depth":3},{"title":"Как использовать","local":"как-использовать","sections":[],"depth":3},{"title":"Обучающие данные","local":"обучающие-данные","sections":[],"depth":3},{"title":"Процедура обучения","local":"процедура-обучения","sections":[],"depth":3},{"title":"Variable and metrics","local":"variable-and-metrics","sections":[],"depth":3},{"title":"Результаты валидации","local":"результаты-валидации","sections":[],"depth":3},{"title":"Пример","local":"пример","sections":[],"depth":2},{"title":"Примечание","local":"примечание","sections":[],"depth":2},{"title":"Метаданные карточки модели","local":"метаданные-карточки-модели","sections":[],"depth":2}],"depth":1}';function be(zt){return ue(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ce extends re{constructor(g){super(),xe(this,g,be,oe,me,{})}}export{ce as component};
