import{s as fe,n as $e,o as re}from"../chunks/scheduler.37c15a92.js";import{S as ue,i as oe,g as s,s as n,r as f,A as xe,h as p,f as l,c as a,j as pe,u as $,x as m,k as me,y as ve,a as i,v as r,d as u,t as o,w as x}from"../chunks/index.2bf4358c.js";import{C as ge}from"../chunks/CodeBlock.4f5fc1ad.js";import{C as Ce}from"../chunks/CourseFloatingBanner.5dff5e20.js";import{H as v}from"../chunks/Heading.8ada512a.js";function de(qt){let g,tt,W,et,C,lt,d,it,h,Ft="การ์ดโมเดลเป็นไฟล์ที่เรียกได้ว่าสำคัญพอๆกับไฟล์โมเดลและ tokenizer ใน model repository มันคือคำนิยามส่วนกลางของโมเดล เป็นสิ่งที่ทำให้มั่นใจว่าสมาชิกของชุมชนสามารถนำไปใช้ได้ (reusability) และสามารถทำซ้ำและได้ผลลัพธ์เหมือนเดิมได้ (reproducibility) และมันยังจัดเตรียมแพลตฟอร์มให้สมาชิกคนอื่นๆอาจใช้สร้างสิ่งประดิษฐ์ (artifacts) ของเขาเองได้",nt,c,Rt="การสร้างหนังสืออ้างอิง (documenting) ถึงกระบวนการเทรนและประเมินผลช่วยให้ผู้อื่นเข้าใจถึงสิ่งที่คาดหวังได้จากโมเดลๆหนึ่ง และการให้ข้อมูลที่เพียงพอเกี่ยวกับข้อมูลที่ถูกใช้, กระบวนการเตรียมข้อมูล (preprocessing) และกระบวนการหลังจากใช้โมเดล (postprocessing) ที่ถูกทำมาทำให้มั่นใจถึงขีดจำกัด (limitations), ความลำเอียง (biases) และบริบท (contexts) ที่โมเดลเป็นและไม่เป็น ซึ่งเป็นสิ่งที่เป็นประโยชน์มากถ้าหากสามารถระบุและเข้าใจได้",at,b,At="ดังนั้นการสร้างการ์ดโมเดลที่อธิบายถึงโมเดลของคุณอย่างละเอียดถือเป็นขั้นตอนหนึ่งที่สำคัญมาก ในส่วนนี้เรามีเคล็ดลับบางอย่างที่จะช่วยให้คุณทำสิ่งนี้ได้ การสร้างการ์ดโมเดลนั้นถูกทำผ่านไฟล์ <em>README.md</em> ที่คุณได้เห็นก่อนหน้านี่ ซึ่งมันก็คือไฟล์ Markdown ไฟล์หนึ่ง",st,_,Vt='แนวคิด “การ์ดโมเดล” เกิดขึ้นมาจากทิศทางของงานวิจัยชิ้นหนึ่งจาก Google ซึ่งถูกแบ่งปันครั้งแรกใน <a href="https://arxiv.org/abs/1810.03993" rel="nofollow">“Model Cards for Model Reporting”</a> โดย Margaret Mitchell et al. ข้อมูลส่วนใหญ่ที่เราจะพูดถึงในที่นี้มีฐานมาจากงานวิจัยชิ้นนี้ และเราแนะนำให้คุณลองดูงานวิจัยนี้เพื่อจะได้เข้าใจถึงว่าทำไมการ์ดโมเดลถึงมีความสำคัญต่อโลกที่ให้ค่าแก่ความสามารถในการทำซ้ำ (reproducibility), ความสามารถในการนำกลับมาใช้ (reusability) และความเท่าเทียม (fairness) อย่างมาก',pt,M,Dt="โดยทั่วไปแล้วการ์ดโมเดลมักเริ่มต้นด้วยภาพรวมแบบสรุปย่อของโมเดลว่าโมเดลนี้มีไว้ทำอะไร ตามมาด้วยข้อมูลเพิ่มเติมในส่วนต่างๆต่อไปนี้:",mt,w,Gt="<li>คำอธิบายโมเดล</li> <li>การนำไปใช้งานที่ควรจะเป็นและข้อจำกัดต่างๆ</li> <li>วิธีใช้</li> <li>ข้อจำกัดและความลำเอียง</li> <li>ข้อมูลที่ใช้เทรน</li> <li>ขั้นตอนการเทรน</li> <li>ผลจากการประเมิน</li>",ft,T,Nt="มาดูกันดีกว่าว่าแต่ละส่วนนี้ควรมีอะไรบ้าง",$t,P,rt,H,Xt="คำอธิบายโมเดลควรบอกรายละเอียดพื้นฐานเกี่ยวกับโมเดล ซึ่งหมายถึงสถาปัตยกรรม (architecture), เวอร์ชั่น, มาจากงานวิจัยหรือไม่, มี implementation จากแหล่งต้นทางหรือไม่, ผู้เขียน และข้อมูลทั่วไปเกี่ยวกับโมเดล ลิขสิทธิ์ทุกอย่างควรจะถูกระบุอยู่ในส่วนนี้ ข้อมูลโดยทั่วไปเกี่ยวกับกระบวนการเทรน, พารามิเตอร์ และข้อจำกัดความรับผิดชอบ (disclaimers) ที่สำคัญสามารถถูกพูดถึงในส่วนนี้ได้เช่นกัน",ut,L,ot,y,Yt="ในส่วนนี้คุณควรอธิบายกรณีการใช้งาน (use cases) ที่โมเดลถูกตั้งใจสร้างขึ้นมาเพื่อให้ใช้งาน รวมถึงภาษา, ประเภทงาน และโดเมนที่โมเดลสามารถประยุกต์ใช้ได้ ในส่วนนี้ของการ์ดโมเดลสามารถพูดถึงเกี่ยวกับสายงานที่ไม่อยู่ในขอบเขตของโมเดล และสายงานที่โมเดลไม่สามารถปฏิบัติการได้ดีที่สุด",xt,j,vt,k,Zt="ส่วนนี้ควรมีตัวอย่างของการใช้งานโมเดล สามารถเป็นในรูปแบบของการใช้งานฟังก์ชั่น <code>pipeline()</code>, การใช้งานคลาสโมเดลและ tokenizer และโค้ดอื่นๆที่คุณคิดว่าน่าจะเป็นประโยชน์ได้",gt,E,Ct,z,It="ส่วนนี้ควรระบุถึงชุดข้อมูลที่โมเดลได้ถูกเทรนมา ถ้าหากมีคำอธิบายโดยสรุปของชุดข้อมูลก็จะดีมาก",dt,U,ht,B,Jt="ในส่วนนี้คุณควรอธิบายทุกอย่างที่เกี่ยวข้องกับการเทรนที่เป็นประโยชน์ในมุมมองของการนำไปทำซ้ำ ซึ่งควรมีกระบวนการเตรียมข้อมูล (preprocessing) และกระบวนการหลังจากใช้โมเดล (postprocessing) ที่ถูกทำไว้กับชุดข้อมูลนี้ รวมถึงรายละเอียดเกี่ยวกับจำนวนรอบ (epochs) ที่ใช้ในการเทรนโมเดล, ขนาด batch (batch size), อัตราการเรียนรู้ (learning rate) และอื่นๆ",ct,S,bt,Q,Ot="ส่วนนี้คุณควรอธิบายเมตริก (metrics) ที่คุณใช้ในการประเมินผล และปัจจัยต่างๆที่คุณตรวจวัด การกล่าวถึงเมตริกต่างๆที่ถูกใช้ กับชุดข้อมูลไหนและแบ่งอย่างไร ช่วยทำให้การเปรียบเทียบประสิทธิภาพของโมเดลของคุณกับโมเดลอื่นๆเป็นไปได้ง่าย ซึ่งสิ่งเหล่านี้ควรจะถูกระบุอยู่ในส่วนที่ผ่านมา เช่น ผู้ใช้และการนำไปใช้งานที่ควรจะเป็น",_t,q,Mt,F,Wt="ส่วนสุดท้าย คุณควรระบุข้อบ่งชี้ว่าโมเดลของคุณทำงานได้ดีแค่ไหนกับชุดข้อมูลสำหรับประเมินผล (evaluation dataset) ถ้าโมเดลมีการใช้เกณฑ์ในการตัดสินใจ (decision threshold) คุณควรระบุค่าที่ใช้เป็นเกณฑ์นั้นในการประเมินผล หรือระบุรายละเอียดของการประเมินผลที่เกณฑ์ต่างกันสำหรับการใช้งานที่ควรจะเป็น",wt,R,Tt,A,Kt="ลองเข้าไปดู links เหล่านี้เป็นตัวอย่างสำหรับการ์ดโมเดลที่ถูกขัดเกลามาอย่างดี:",Pt,V,te='<li><a href="https://huggingface.co/bert-base-cased" rel="nofollow"><code>bert-base-cased</code></a></li> <li><a href="https://huggingface.co/gpt2" rel="nofollow"><code>gpt2</code></a></li> <li><a href="https://huggingface.co/distilbert-base-uncased" rel="nofollow"><code>distilbert</code></a></li>',Ht,D,ee='ตัวอย่างเพิ่มเติมจากองค์กรและบริษัทต่างๆ สามารถดูได้จาก <a href="https://github.com/huggingface/model_card/blob/master/examples.md" rel="nofollow">ที่นี่</a>',Lt,G,yt,N,le="การ์ดโมเดลไม่ได้เป็นหนึ่งในสิ่งที่เรียกร้อง (requirement) เมื่อจะทำการเปิดเผยโมเดลสู่สาธารณะ คุณไม่จำเป็นต้องใส่ทุกส่วนที่เราได้พูดถึงไปข้างบนถ้าคุณต้องการจะทำมัน  อย่างไรก็ได้หนังสืออ้างอิงที่ชัดเจนของโมเดลสามารถสร้างประโยชน์กับผู้ใช้ในอนาคตได้ ดังนั้นเราจึงแนะนำให้คุณเติมส่วนต่างๆที่คุณรู้ให้ได้มากที่สุดเท่าที่จะเป็นไปได้",jt,X,kt,Y,ie="ถ้าคุณได้ทำการสำรวจ Hugging Face Hub มาบ้างแล้ว คุณน่าจะได้เห็นบางโมเดลในหมวดหมู่ต่างๆ ที่คุณสามารถคัดกรองพวกมันได้ด้วยประเภทงาน, ภาษา, libraries และอื่นๆ หมวดหมู่ที่โมเดลๆหนึ่งอยู่ถูกระบุตามข้อมูลเมตา (metadata) ที่คุณเพิ่มเข้าไปในหัวของการ์ดโมเดล",Et,Z,ne='ตัวอย่างเช่น ถ้าคุณลองดูที่ <a href="https://huggingface.co/camembert-base/blob/main/README.md" rel="nofollow">การ์ดโมเดล <code>camembert-base</code></a> คุณจะเห็นบรรทัดต่อไปนี้ในหัวการ์ดโมเดล:',zt,I,Ut,J,ae="ข้อมูลเมตานี้ถูกแยกวิเคราะห์โดย Hugging Face Hub ซึ่งต่อจากนั้นจะถูกใช้เป็นตัวระบุว่าโมเดลนี้เป็นโมเดลภาษาฝรั่งเศส มีใบอนุญาต MIT และถูกเทรนมากับชุดข้อมูล Oscar",Bt,O,se='<a href="https://github.com/huggingface/hub-docs/blame/main/modelcard.md" rel="nofollow">รายละเอียดการ์ดโมเดลแบบเต็ม</a> ช่วยให้สามารถระบุภาษา, ใบอนุญาต, แท็ก, ชุดข้อมูล, เมตริก รวมไปถึงผลลัพธ์จากการประเมินผลที่โมเดลได้จากการเทรน',St,K,Qt;return C=new v({props:{title:"การสร้างการ์ดโมเดล (model card)",local:"การสรางการดโมเดล-model-card",headingTag:"h1"}}),d=new Ce({props:{chapter:4,classNames:"absolute z-10 right-0 top-0"}}),P=new v({props:{title:"คำอธิบายโมเดล",local:"คำอธบายโมเดล",headingTag:"h3"}}),L=new v({props:{title:"การนำไปใช้งานที่ควรจะเป็นและข้อจำกัดต่างๆ",local:"การนำไปใชงานทควรจะเปนและขอจำกดตางๆ",headingTag:"h3"}}),j=new v({props:{title:"วิธีใช้",local:"วธใช",headingTag:"h3"}}),E=new v({props:{title:"ข้อมูลที่ใช้เทรน",local:"ขอมลทใชเทรน",headingTag:"h3"}}),U=new v({props:{title:"ขั้นตอนการเทรน",local:"ขนตอนการเทรน",headingTag:"h3"}}),S=new v({props:{title:"ตัวแปรและเมตริก",local:"ตวแปรและเมตรก",headingTag:"h3"}}),q=new v({props:{title:"ผลจากการประเมิน",local:"ผลจากการประเมน",headingTag:"h3"}}),R=new v({props:{title:"ตัวอย่าง",local:"ตวอยาง",headingTag:"h2"}}),G=new v({props:{title:"หมายเหตุ",local:"หมายเหต",headingTag:"h2"}}),X=new v({props:{title:"ข้อมูลเมตาของการ์ดโมเดล (Model card metadata)",local:"ขอมลเมตาของการดโมเดล-model-card-metadata",headingTag:"h2"}}),I=new ge({props:{code:"LS0tJTBBbGFuZ3VhZ2UlM0ElMjBmciUwQWxpY2Vuc2UlM0ElMjBtaXQlMEFkYXRhc2V0cyUzQSUwQS0lMjBvc2NhciUwQS0tLQ==",highlighted:`<span class="hljs-meta">---</span>
<span class="hljs-attr">language:</span> <span class="hljs-string">fr</span>
<span class="hljs-attr">license:</span> <span class="hljs-string">mit</span>
<span class="hljs-attr">datasets:</span>
<span class="hljs-bullet">-</span> <span class="hljs-string">oscar</span>
<span class="hljs-meta">---</span>`,wrap:!1}}),{c(){g=s("meta"),tt=n(),W=s("p"),et=n(),f(C.$$.fragment),lt=n(),f(d.$$.fragment),it=n(),h=s("p"),h.textContent=Ft,nt=n(),c=s("p"),c.textContent=Rt,at=n(),b=s("p"),b.innerHTML=At,st=n(),_=s("p"),_.innerHTML=Vt,pt=n(),M=s("p"),M.textContent=Dt,mt=n(),w=s("ul"),w.innerHTML=Gt,ft=n(),T=s("p"),T.textContent=Nt,$t=n(),f(P.$$.fragment),rt=n(),H=s("p"),H.textContent=Xt,ut=n(),f(L.$$.fragment),ot=n(),y=s("p"),y.textContent=Yt,xt=n(),f(j.$$.fragment),vt=n(),k=s("p"),k.innerHTML=Zt,gt=n(),f(E.$$.fragment),Ct=n(),z=s("p"),z.textContent=It,dt=n(),f(U.$$.fragment),ht=n(),B=s("p"),B.textContent=Jt,ct=n(),f(S.$$.fragment),bt=n(),Q=s("p"),Q.textContent=Ot,_t=n(),f(q.$$.fragment),Mt=n(),F=s("p"),F.textContent=Wt,wt=n(),f(R.$$.fragment),Tt=n(),A=s("p"),A.textContent=Kt,Pt=n(),V=s("ul"),V.innerHTML=te,Ht=n(),D=s("p"),D.innerHTML=ee,Lt=n(),f(G.$$.fragment),yt=n(),N=s("p"),N.textContent=le,jt=n(),f(X.$$.fragment),kt=n(),Y=s("p"),Y.textContent=ie,Et=n(),Z=s("p"),Z.innerHTML=ne,zt=n(),f(I.$$.fragment),Ut=n(),J=s("p"),J.textContent=ae,Bt=n(),O=s("p"),O.innerHTML=se,St=n(),K=s("p"),this.h()},l(t){const e=xe("svelte-u9bgzb",document.head);g=p(e,"META",{name:!0,content:!0}),e.forEach(l),tt=a(t),W=p(t,"P",{}),pe(W).forEach(l),et=a(t),$(C.$$.fragment,t),lt=a(t),$(d.$$.fragment,t),it=a(t),h=p(t,"P",{"data-svelte-h":!0}),m(h)!=="svelte-vdc22x"&&(h.textContent=Ft),nt=a(t),c=p(t,"P",{"data-svelte-h":!0}),m(c)!=="svelte-b7tv00"&&(c.textContent=Rt),at=a(t),b=p(t,"P",{"data-svelte-h":!0}),m(b)!=="svelte-sytbon"&&(b.innerHTML=At),st=a(t),_=p(t,"P",{"data-svelte-h":!0}),m(_)!=="svelte-1ba5h2u"&&(_.innerHTML=Vt),pt=a(t),M=p(t,"P",{"data-svelte-h":!0}),m(M)!=="svelte-1lbqkls"&&(M.textContent=Dt),mt=a(t),w=p(t,"UL",{"data-svelte-h":!0}),m(w)!=="svelte-ywviwb"&&(w.innerHTML=Gt),ft=a(t),T=p(t,"P",{"data-svelte-h":!0}),m(T)!=="svelte-1y0xf05"&&(T.textContent=Nt),$t=a(t),$(P.$$.fragment,t),rt=a(t),H=p(t,"P",{"data-svelte-h":!0}),m(H)!=="svelte-c4mhfs"&&(H.textContent=Xt),ut=a(t),$(L.$$.fragment,t),ot=a(t),y=p(t,"P",{"data-svelte-h":!0}),m(y)!=="svelte-1r7hkaj"&&(y.textContent=Yt),xt=a(t),$(j.$$.fragment,t),vt=a(t),k=p(t,"P",{"data-svelte-h":!0}),m(k)!=="svelte-1y9vh2p"&&(k.innerHTML=Zt),gt=a(t),$(E.$$.fragment,t),Ct=a(t),z=p(t,"P",{"data-svelte-h":!0}),m(z)!=="svelte-nm431m"&&(z.textContent=It),dt=a(t),$(U.$$.fragment,t),ht=a(t),B=p(t,"P",{"data-svelte-h":!0}),m(B)!=="svelte-1flzzvo"&&(B.textContent=Jt),ct=a(t),$(S.$$.fragment,t),bt=a(t),Q=p(t,"P",{"data-svelte-h":!0}),m(Q)!=="svelte-15te7nm"&&(Q.textContent=Ot),_t=a(t),$(q.$$.fragment,t),Mt=a(t),F=p(t,"P",{"data-svelte-h":!0}),m(F)!=="svelte-dbru2v"&&(F.textContent=Wt),wt=a(t),$(R.$$.fragment,t),Tt=a(t),A=p(t,"P",{"data-svelte-h":!0}),m(A)!=="svelte-4irzul"&&(A.textContent=Kt),Pt=a(t),V=p(t,"UL",{"data-svelte-h":!0}),m(V)!=="svelte-1fs0egh"&&(V.innerHTML=te),Ht=a(t),D=p(t,"P",{"data-svelte-h":!0}),m(D)!=="svelte-1srovuo"&&(D.innerHTML=ee),Lt=a(t),$(G.$$.fragment,t),yt=a(t),N=p(t,"P",{"data-svelte-h":!0}),m(N)!=="svelte-18g2fqi"&&(N.textContent=le),jt=a(t),$(X.$$.fragment,t),kt=a(t),Y=p(t,"P",{"data-svelte-h":!0}),m(Y)!=="svelte-18e1l1b"&&(Y.textContent=ie),Et=a(t),Z=p(t,"P",{"data-svelte-h":!0}),m(Z)!=="svelte-apkyub"&&(Z.innerHTML=ne),zt=a(t),$(I.$$.fragment,t),Ut=a(t),J=p(t,"P",{"data-svelte-h":!0}),m(J)!=="svelte-17hwq40"&&(J.textContent=ae),Bt=a(t),O=p(t,"P",{"data-svelte-h":!0}),m(O)!=="svelte-z5cis3"&&(O.innerHTML=se),St=a(t),K=p(t,"P",{}),pe(K).forEach(l),this.h()},h(){me(g,"name","hf:doc:metadata"),me(g,"content",he)},m(t,e){ve(document.head,g),i(t,tt,e),i(t,W,e),i(t,et,e),r(C,t,e),i(t,lt,e),r(d,t,e),i(t,it,e),i(t,h,e),i(t,nt,e),i(t,c,e),i(t,at,e),i(t,b,e),i(t,st,e),i(t,_,e),i(t,pt,e),i(t,M,e),i(t,mt,e),i(t,w,e),i(t,ft,e),i(t,T,e),i(t,$t,e),r(P,t,e),i(t,rt,e),i(t,H,e),i(t,ut,e),r(L,t,e),i(t,ot,e),i(t,y,e),i(t,xt,e),r(j,t,e),i(t,vt,e),i(t,k,e),i(t,gt,e),r(E,t,e),i(t,Ct,e),i(t,z,e),i(t,dt,e),r(U,t,e),i(t,ht,e),i(t,B,e),i(t,ct,e),r(S,t,e),i(t,bt,e),i(t,Q,e),i(t,_t,e),r(q,t,e),i(t,Mt,e),i(t,F,e),i(t,wt,e),r(R,t,e),i(t,Tt,e),i(t,A,e),i(t,Pt,e),i(t,V,e),i(t,Ht,e),i(t,D,e),i(t,Lt,e),r(G,t,e),i(t,yt,e),i(t,N,e),i(t,jt,e),r(X,t,e),i(t,kt,e),i(t,Y,e),i(t,Et,e),i(t,Z,e),i(t,zt,e),r(I,t,e),i(t,Ut,e),i(t,J,e),i(t,Bt,e),i(t,O,e),i(t,St,e),i(t,K,e),Qt=!0},p:$e,i(t){Qt||(u(C.$$.fragment,t),u(d.$$.fragment,t),u(P.$$.fragment,t),u(L.$$.fragment,t),u(j.$$.fragment,t),u(E.$$.fragment,t),u(U.$$.fragment,t),u(S.$$.fragment,t),u(q.$$.fragment,t),u(R.$$.fragment,t),u(G.$$.fragment,t),u(X.$$.fragment,t),u(I.$$.fragment,t),Qt=!0)},o(t){o(C.$$.fragment,t),o(d.$$.fragment,t),o(P.$$.fragment,t),o(L.$$.fragment,t),o(j.$$.fragment,t),o(E.$$.fragment,t),o(U.$$.fragment,t),o(S.$$.fragment,t),o(q.$$.fragment,t),o(R.$$.fragment,t),o(G.$$.fragment,t),o(X.$$.fragment,t),o(I.$$.fragment,t),Qt=!1},d(t){t&&(l(tt),l(W),l(et),l(lt),l(it),l(h),l(nt),l(c),l(at),l(b),l(st),l(_),l(pt),l(M),l(mt),l(w),l(ft),l(T),l($t),l(rt),l(H),l(ut),l(ot),l(y),l(xt),l(vt),l(k),l(gt),l(Ct),l(z),l(dt),l(ht),l(B),l(ct),l(bt),l(Q),l(_t),l(Mt),l(F),l(wt),l(Tt),l(A),l(Pt),l(V),l(Ht),l(D),l(Lt),l(yt),l(N),l(jt),l(kt),l(Y),l(Et),l(Z),l(zt),l(Ut),l(J),l(Bt),l(O),l(St),l(K)),l(g),x(C,t),x(d,t),x(P,t),x(L,t),x(j,t),x(E,t),x(U,t),x(S,t),x(q,t),x(R,t),x(G,t),x(X,t),x(I,t)}}}const he='{"title":"การสร้างการ์ดโมเดล (model card)","local":"การสรางการดโมเดล-model-card","sections":[{"title":"คำอธิบายโมเดล","local":"คำอธบายโมเดล","sections":[],"depth":3},{"title":"การนำไปใช้งานที่ควรจะเป็นและข้อจำกัดต่างๆ","local":"การนำไปใชงานทควรจะเปนและขอจำกดตางๆ","sections":[],"depth":3},{"title":"วิธีใช้","local":"วธใช","sections":[],"depth":3},{"title":"ข้อมูลที่ใช้เทรน","local":"ขอมลทใชเทรน","sections":[],"depth":3},{"title":"ขั้นตอนการเทรน","local":"ขนตอนการเทรน","sections":[],"depth":3},{"title":"ตัวแปรและเมตริก","local":"ตวแปรและเมตรก","sections":[],"depth":3},{"title":"ผลจากการประเมิน","local":"ผลจากการประเมน","sections":[],"depth":3},{"title":"ตัวอย่าง","local":"ตวอยาง","sections":[],"depth":2},{"title":"หมายเหตุ","local":"หมายเหต","sections":[],"depth":2},{"title":"ข้อมูลเมตาของการ์ดโมเดล (Model card metadata)","local":"ขอมลเมตาของการดโมเดล-model-card-metadata","sections":[],"depth":2}],"depth":1}';function ce(qt){return re(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Pe extends ue{constructor(g){super(),oe(this,g,ce,de,fe,{})}}export{Pe as component};
