import{s as ge,n as xe,o as Pe}from"../chunks/scheduler.37c15a92.js";import{S as de,i as _e,g as p,s,r as f,A as je,h as a,f as l,c as i,j as Ce,u as o,x as m,k as Qt,y as Le,a as n,v as r,d as $,t as h,w as u}from"../chunks/index.2bf4358c.js";import{C as v}from"../chunks/CodeBlock.4f5fc1ad.js";import{H as qt}from"../chunks/Heading.8ada512a.js";function He(St){let y,it,nt,pt,b,at,M,Dt='欢迎来到拥抱脸课程！本介绍将指导您设置工作环境。如果您刚开始学习本课程，我们建议您先阅读<a href="/course/chapter1">第一章</a>, 然后再回来设置您的环境，以便您可以自己尝试运行代码。',mt,T,Ot="我们将在本课程中使用的所有库都以 Python 包的形式提供，因此在这里我们将向您展示如何设置 Python 环境并安装您需要的特定库。",ft,C,Kt="我们将介绍两种设置工作环境的方法，使用 Colab 笔记本或 Python 虚拟环境。选择任意一种趁手的方式即可。对于初学者，我们强烈建议您从使用 Colab 笔记本开始（国内无法访问,可以跳过,直接查阅本页<strong>安装依赖</strong>那一节即可在本地的环境下运行,译者注）。",ot,g,te="请注意，Python 虚拟环境的一些命令不支持Windows系统。如果您在 Windows 上运行，我们建议您继续使用 Colab 笔记本。如果您使用的是 Linux 发行版或 macOS，则可以使用此处的任一方法。",rt,x,ee='大多数课程和服务都依赖于您拥有 Hugging Face 帐户。我们建议现在创建一个：<a href="https://huggingface.co/join" rel="nofollow">创建一个账号</a>.',$t,P,ht,d,le="使用 Colab notebook 是最简单的设置；可以在浏览器中启动Notebook并直接开始编写自己的代码！",ut,_,ne='如果您不熟悉 Colab，我们建议您从<a href="https://colab.research.google.com/notebooks/intro.ipynb" rel="nofollow">这个介绍</a>开始。Colab 提供一些加速硬件，例如 GPU 或 TPU，并且当我们使用的算力比较少的时候是免费的。',vt,j,se="当打开 Colab 后，创建一个新笔记本：",yt,w,ie='<img src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter0/new_colab.png" alt="An empty colab notebook" width="80%"/>',wt,L,pe="下一步是安装我们将在本课程中使用的库。我们将使用 <strong>pip</strong> 进行安装，它是 Python 的包管理器。在Notebook中，您可以通过加上!字符表示执行系统命令，所以安装🤗 Transformers 的命令如下：",ct,H,bt,J,ae="您可以通过在运行 Python 时导入包来判断是否正确安装了该包：",Mt,U,Tt,c,me='<img src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter0/install.gif" alt="A gif showing the result of the two commands above: installation and import" width="80%"/>',Ct,k,fe="这将安装一个非常轻量级的 🤗 Transformers。并没有安装机器学习框架（如 PyTorch 或 TensorFlow）。由于之后我们将使用该库的许多不同功能，我们建议安装开发版本，它带有几乎所有所需的依赖项：",gt,G,xt,W,oe="这将需要一些时间，但当完成之后您就做好学习剩下的课程的环境准备了！",Pt,Z,dt,I,re='如果您更喜欢使用 Python 虚拟环境，那么第一步是在您的系统上安装 Python。我们建议您按照<a href="https://realpython.com/installing-python/" rel="nofollow">这个教程</a>进行配置。',_t,z,$e="安装 Python 后，您应该能够在终端中运行 Python 命令。您可以先运行以下命令来检验爱装是否正确，然后再继续下一步：<strong>python —version</strong>。这应该会打印出您系统上现在可用的 Python 版本。",jt,N,he="在终端中运行 Python 命令（例如 <strong>python —version</strong>）时，您应该将运行命令的这个Python视为系统上的“默认”Python。我们建议保持这个默认的Python安装程序没有任何包，当运行某个程序的时候就为那个程序创建一个单独的运行环境 - 这样，每个应用程序都可以有自己的依赖项和包，您无需担心与其他应用程序潜在的兼容性问题。",Lt,B,ue='在 Python 中，这是通过 <a href="https://docs.python.org/3/tutorial/venv.html" rel="nofollow"><em>虚拟环境</em></a>实现的，虚拟环境会创建许多目录树，每个目录树都包含具有特定 Python 版本的 Python 安装以及应用程序所需的所有包。可以使用许多不同的工具来创建这样的虚拟环境，但在此我们将使用官方 Python 包：<a href="https://docs.python.org/3/library/venv.html#module-venv" rel="nofollow"><code>venv</code></a>.',Ht,R,ve="首先，创建您希望Transformers所在的目录 - 例如，您可能希望在主目录的根目录下创建一个名为 <em>Transformers-course</em> 的新目录：",Jt,X,Ut,V,ye="在这个目录中，使用 Python <code>venv</code> 模块创建一个虚拟环境：",kt,E,Gt,Y,we="您现在应该在原本为空的文件夹中看到一个名为 <em>.env</em> 的目录：",Wt,F,Zt,A,It,Q,ce="您可以使用<code>activate</code>和<code>deactivate</code>命令来控制进入和退出您的虚拟环境：",zt,q,Nt,S,be="您可以通过运行 <code>which python</code> 命令来检测虚拟环境是否被激活：如果它指向虚拟环境，那么您已经成功激活了它！",Bt,D,Rt,O,Xt,K,Vt,tt,Me="与使用 Google Colab 实例的上一节一样，您现在需要安装继续所需的包。 同样，您可以使用 <code>pip</code> 包管理器安装 🤗 Transformers 的开发版本：",Et,et,Yt,lt,Te="您现在已准备就绪，可以开始了！",Ft,st,At;return b=new qt({props:{title:"课程简介",local:"课程简介",headingTag:"h1"}}),P=new qt({props:{title:"使用 Google Colab 笔记本",local:"使用 Google Colab 笔记本",headingTag:"h2"}}),H=new v({props:{code:"IXBpcCUyMGluc3RhbGwlMjB0cmFuc2Zvcm1lcnM=",highlighted:'!pip <span class="hljs-keyword">install</span> transformers',wrap:!1}}),U=new v({props:{code:"aW1wb3J0JTIwdHJhbnNmb3JtZXJz",highlighted:'<span class="hljs-keyword">import</span> transformers',wrap:!1}}),G=new v({props:{code:"IXBpcCUyMGluc3RhbGwlMjB0cmFuc2Zvcm1lcnMlNUJzZW50ZW5jZXBpZWNlJTVE",highlighted:'!pip <span class="hljs-keyword">install</span> transformers[sentencepiece]',wrap:!1}}),Z=new qt({props:{title:"使用 Python 虚拟环境",local:"使用 Python 虚拟环境",headingTag:"h2"}}),X=new v({props:{code:"bWtkaXIlMjB+JTJGdHJhbnNmb3JtZXJzLWNvdXJzZSUwQWNkJTIwfiUyRnRyYW5zZm9ybWVycy1jb3Vyc2U=",highlighted:`<span class="hljs-built_in">mkdir</span> ~/transformers-course
<span class="hljs-built_in">cd</span> ~/transformers-course`,wrap:!1}}),E=new v({props:{code:"cHl0aG9uJTIwLW0lMjB2ZW52JTIwLmVudg==",highlighted:'<span class="hljs-keyword">python</span> -m venv .<span class="hljs-keyword">env</span>',wrap:!1}}),F=new v({props:{code:"bHMlMjAtYQ==",highlighted:'<span class="hljs-built_in">ls</span> -a',wrap:!1}}),A=new v({props:{code:"LiUyMCUyMCUyMCUyMCUyMCUyMC4uJTIwJTIwJTIwJTIwLmVudg==",highlighted:'.      <span class="hljs-string">..</span>    <span class="hljs-string">.env</span>',wrap:!1}}),q=new v({props:{code:"JTIzJTIwQWN0aXZhdGUlMjB0aGUlMjB2aXJ0dWFsJTIwZW52aXJvbm1lbnQlMEFzb3VyY2UlMjAuZW52JTJGYmluJTJGYWN0aXZhdGUlMEElMEElMjMlMjBEZWFjdGl2YXRlJTIwdGhlJTIwdmlydHVhbCUyMGVudmlyb25tZW50JTBBc291cmNlJTIwLmVudiUyRmJpbiUyRmRlYWN0aXZhdGU=",highlighted:`<span class="hljs-comment"># Activate the virtual environment</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/activate

<span class="hljs-comment"># Deactivate the virtual environment</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/deactivate`,wrap:!1}}),D=new v({props:{code:"d2hpY2glMjBweXRob24=",highlighted:'<span class="hljs-built_in">which</span> python',wrap:!1}}),O=new v({props:{code:"JTJGaG9tZSUyRiUzQ3VzZXIlM0UlMkZ0cmFuc2Zvcm1lcnMtY291cnNlJTJGLmVudiUyRmJpbiUyRnB5dGhvbg==",highlighted:'<span class="hljs-regexp">/home/</span>&lt;user&gt;<span class="hljs-regexp">/transformers-course/</span>.env<span class="hljs-regexp">/bin/</span>python',wrap:!1}}),K=new qt({props:{title:"安装依赖",local:"安装依赖",headingTag:"h3"}}),et=new v({props:{code:"cGlwJTIwaW5zdGFsbCUyMCUyMnRyYW5zZm9ybWVycyU1QnNlbnRlbmNlcGllY2UlNUQlMjI=",highlighted:'pip <span class="hljs-keyword">install</span> <span class="hljs-string">&quot;transformers[sentencepiece]&quot;</span>',wrap:!1}}),{c(){y=p("meta"),it=s(),nt=p("p"),pt=s(),f(b.$$.fragment),at=s(),M=p("p"),M.innerHTML=Dt,mt=s(),T=p("p"),T.textContent=Ot,ft=s(),C=p("p"),C.innerHTML=Kt,ot=s(),g=p("p"),g.textContent=te,rt=s(),x=p("p"),x.innerHTML=ee,$t=s(),f(P.$$.fragment),ht=s(),d=p("p"),d.textContent=le,ut=s(),_=p("p"),_.innerHTML=ne,vt=s(),j=p("p"),j.textContent=se,yt=s(),w=p("div"),w.innerHTML=ie,wt=s(),L=p("p"),L.innerHTML=pe,ct=s(),f(H.$$.fragment),bt=s(),J=p("p"),J.textContent=ae,Mt=s(),f(U.$$.fragment),Tt=s(),c=p("div"),c.innerHTML=me,Ct=s(),k=p("p"),k.textContent=fe,gt=s(),f(G.$$.fragment),xt=s(),W=p("p"),W.textContent=oe,Pt=s(),f(Z.$$.fragment),dt=s(),I=p("p"),I.innerHTML=re,_t=s(),z=p("p"),z.innerHTML=$e,jt=s(),N=p("p"),N.innerHTML=he,Lt=s(),B=p("p"),B.innerHTML=ue,Ht=s(),R=p("p"),R.innerHTML=ve,Jt=s(),f(X.$$.fragment),Ut=s(),V=p("p"),V.innerHTML=ye,kt=s(),f(E.$$.fragment),Gt=s(),Y=p("p"),Y.innerHTML=we,Wt=s(),f(F.$$.fragment),Zt=s(),f(A.$$.fragment),It=s(),Q=p("p"),Q.innerHTML=ce,zt=s(),f(q.$$.fragment),Nt=s(),S=p("p"),S.innerHTML=be,Bt=s(),f(D.$$.fragment),Rt=s(),f(O.$$.fragment),Xt=s(),f(K.$$.fragment),Vt=s(),tt=p("p"),tt.innerHTML=Me,Et=s(),f(et.$$.fragment),Yt=s(),lt=p("p"),lt.textContent=Te,Ft=s(),st=p("p"),this.h()},l(t){const e=je("svelte-u9bgzb",document.head);y=a(e,"META",{name:!0,content:!0}),e.forEach(l),it=i(t),nt=a(t,"P",{}),Ce(nt).forEach(l),pt=i(t),o(b.$$.fragment,t),at=i(t),M=a(t,"P",{"data-svelte-h":!0}),m(M)!=="svelte-rkzfap"&&(M.innerHTML=Dt),mt=i(t),T=a(t,"P",{"data-svelte-h":!0}),m(T)!=="svelte-15pw0fz"&&(T.textContent=Ot),ft=i(t),C=a(t,"P",{"data-svelte-h":!0}),m(C)!=="svelte-1c4esw7"&&(C.innerHTML=Kt),ot=i(t),g=a(t,"P",{"data-svelte-h":!0}),m(g)!=="svelte-1l8eyr2"&&(g.textContent=te),rt=i(t),x=a(t,"P",{"data-svelte-h":!0}),m(x)!=="svelte-731e7c"&&(x.innerHTML=ee),$t=i(t),o(P.$$.fragment,t),ht=i(t),d=a(t,"P",{"data-svelte-h":!0}),m(d)!=="svelte-b7gj3r"&&(d.textContent=le),ut=i(t),_=a(t,"P",{"data-svelte-h":!0}),m(_)!=="svelte-6yf20w"&&(_.innerHTML=ne),vt=i(t),j=a(t,"P",{"data-svelte-h":!0}),m(j)!=="svelte-wxo44e"&&(j.textContent=se),yt=i(t),w=a(t,"DIV",{class:!0,"data-svelte-h":!0}),m(w)!=="svelte-1mpe2rl"&&(w.innerHTML=ie),wt=i(t),L=a(t,"P",{"data-svelte-h":!0}),m(L)!=="svelte-1gjhvts"&&(L.innerHTML=pe),ct=i(t),o(H.$$.fragment,t),bt=i(t),J=a(t,"P",{"data-svelte-h":!0}),m(J)!=="svelte-2rapa9"&&(J.textContent=ae),Mt=i(t),o(U.$$.fragment,t),Tt=i(t),c=a(t,"DIV",{class:!0,"data-svelte-h":!0}),m(c)!=="svelte-1cj51wg"&&(c.innerHTML=me),Ct=i(t),k=a(t,"P",{"data-svelte-h":!0}),m(k)!=="svelte-19ywr28"&&(k.textContent=fe),gt=i(t),o(G.$$.fragment,t),xt=i(t),W=a(t,"P",{"data-svelte-h":!0}),m(W)!=="svelte-1gn092u"&&(W.textContent=oe),Pt=i(t),o(Z.$$.fragment,t),dt=i(t),I=a(t,"P",{"data-svelte-h":!0}),m(I)!=="svelte-1yvfjf4"&&(I.innerHTML=re),_t=i(t),z=a(t,"P",{"data-svelte-h":!0}),m(z)!=="svelte-1lbfixs"&&(z.innerHTML=$e),jt=i(t),N=a(t,"P",{"data-svelte-h":!0}),m(N)!=="svelte-x0cinp"&&(N.innerHTML=he),Lt=i(t),B=a(t,"P",{"data-svelte-h":!0}),m(B)!=="svelte-jdnyzb"&&(B.innerHTML=ue),Ht=i(t),R=a(t,"P",{"data-svelte-h":!0}),m(R)!=="svelte-qiuny1"&&(R.innerHTML=ve),Jt=i(t),o(X.$$.fragment,t),Ut=i(t),V=a(t,"P",{"data-svelte-h":!0}),m(V)!=="svelte-19hgsm0"&&(V.innerHTML=ye),kt=i(t),o(E.$$.fragment,t),Gt=i(t),Y=a(t,"P",{"data-svelte-h":!0}),m(Y)!=="svelte-1lgawa4"&&(Y.innerHTML=we),Wt=i(t),o(F.$$.fragment,t),Zt=i(t),o(A.$$.fragment,t),It=i(t),Q=a(t,"P",{"data-svelte-h":!0}),m(Q)!=="svelte-1h48w8q"&&(Q.innerHTML=ce),zt=i(t),o(q.$$.fragment,t),Nt=i(t),S=a(t,"P",{"data-svelte-h":!0}),m(S)!=="svelte-17ls6ik"&&(S.innerHTML=be),Bt=i(t),o(D.$$.fragment,t),Rt=i(t),o(O.$$.fragment,t),Xt=i(t),o(K.$$.fragment,t),Vt=i(t),tt=a(t,"P",{"data-svelte-h":!0}),m(tt)!=="svelte-wx3zux"&&(tt.innerHTML=Me),Et=i(t),o(et.$$.fragment,t),Yt=i(t),lt=a(t,"P",{"data-svelte-h":!0}),m(lt)!=="svelte-1qh0ame"&&(lt.textContent=Te),Ft=i(t),st=a(t,"P",{}),Ce(st).forEach(l),this.h()},h(){Qt(y,"name","hf:doc:metadata"),Qt(y,"content",Je),Qt(w,"class","flex justify-center"),Qt(c,"class","flex justify-center")},m(t,e){Le(document.head,y),n(t,it,e),n(t,nt,e),n(t,pt,e),r(b,t,e),n(t,at,e),n(t,M,e),n(t,mt,e),n(t,T,e),n(t,ft,e),n(t,C,e),n(t,ot,e),n(t,g,e),n(t,rt,e),n(t,x,e),n(t,$t,e),r(P,t,e),n(t,ht,e),n(t,d,e),n(t,ut,e),n(t,_,e),n(t,vt,e),n(t,j,e),n(t,yt,e),n(t,w,e),n(t,wt,e),n(t,L,e),n(t,ct,e),r(H,t,e),n(t,bt,e),n(t,J,e),n(t,Mt,e),r(U,t,e),n(t,Tt,e),n(t,c,e),n(t,Ct,e),n(t,k,e),n(t,gt,e),r(G,t,e),n(t,xt,e),n(t,W,e),n(t,Pt,e),r(Z,t,e),n(t,dt,e),n(t,I,e),n(t,_t,e),n(t,z,e),n(t,jt,e),n(t,N,e),n(t,Lt,e),n(t,B,e),n(t,Ht,e),n(t,R,e),n(t,Jt,e),r(X,t,e),n(t,Ut,e),n(t,V,e),n(t,kt,e),r(E,t,e),n(t,Gt,e),n(t,Y,e),n(t,Wt,e),r(F,t,e),n(t,Zt,e),r(A,t,e),n(t,It,e),n(t,Q,e),n(t,zt,e),r(q,t,e),n(t,Nt,e),n(t,S,e),n(t,Bt,e),r(D,t,e),n(t,Rt,e),r(O,t,e),n(t,Xt,e),r(K,t,e),n(t,Vt,e),n(t,tt,e),n(t,Et,e),r(et,t,e),n(t,Yt,e),n(t,lt,e),n(t,Ft,e),n(t,st,e),At=!0},p:xe,i(t){At||($(b.$$.fragment,t),$(P.$$.fragment,t),$(H.$$.fragment,t),$(U.$$.fragment,t),$(G.$$.fragment,t),$(Z.$$.fragment,t),$(X.$$.fragment,t),$(E.$$.fragment,t),$(F.$$.fragment,t),$(A.$$.fragment,t),$(q.$$.fragment,t),$(D.$$.fragment,t),$(O.$$.fragment,t),$(K.$$.fragment,t),$(et.$$.fragment,t),At=!0)},o(t){h(b.$$.fragment,t),h(P.$$.fragment,t),h(H.$$.fragment,t),h(U.$$.fragment,t),h(G.$$.fragment,t),h(Z.$$.fragment,t),h(X.$$.fragment,t),h(E.$$.fragment,t),h(F.$$.fragment,t),h(A.$$.fragment,t),h(q.$$.fragment,t),h(D.$$.fragment,t),h(O.$$.fragment,t),h(K.$$.fragment,t),h(et.$$.fragment,t),At=!1},d(t){t&&(l(it),l(nt),l(pt),l(at),l(M),l(mt),l(T),l(ft),l(C),l(ot),l(g),l(rt),l(x),l($t),l(ht),l(d),l(ut),l(_),l(vt),l(j),l(yt),l(w),l(wt),l(L),l(ct),l(bt),l(J),l(Mt),l(Tt),l(c),l(Ct),l(k),l(gt),l(xt),l(W),l(Pt),l(dt),l(I),l(_t),l(z),l(jt),l(N),l(Lt),l(B),l(Ht),l(R),l(Jt),l(Ut),l(V),l(kt),l(Gt),l(Y),l(Wt),l(Zt),l(It),l(Q),l(zt),l(Nt),l(S),l(Bt),l(Rt),l(Xt),l(Vt),l(tt),l(Et),l(Yt),l(lt),l(Ft),l(st)),l(y),u(b,t),u(P,t),u(H,t),u(U,t),u(G,t),u(Z,t),u(X,t),u(E,t),u(F,t),u(A,t),u(q,t),u(D,t),u(O,t),u(K,t),u(et,t)}}}const Je='{"title":"课程简介","local":"课程简介","sections":[{"title":"使用 Google Colab 笔记本","local":"使用 Google Colab 笔记本","sections":[],"depth":2},{"title":"使用 Python 虚拟环境","local":"使用 Python 虚拟环境","sections":[{"title":"安装依赖","local":"安装依赖","sections":[],"depth":3}],"depth":2}],"depth":1}';function Ue(St){return Pe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ie extends de{constructor(y){super(),_e(this,y,Ue,He,ge,{})}}export{Ie as component};
