import{s as Sl,n as Fl,o as Ol}from"../chunks/scheduler.37c15a92.js";import{S as Ql,i as Wl,g as a,s,r as m,A as Xl,h as r,f as l,c as i,j as Yl,u as o,x as f,k as c,y as Zl,a as n,v as u,d as p,t as g,w as v}from"../chunks/index.2bf4358c.js";import{Y as St}from"../chunks/Youtube.1e50a667.js";import{C as Jl}from"../chunks/CourseFloatingBanner.33a4139d.js";import{H as d}from"../chunks/Heading.8ada512a.js";function Kl(Ft){let T,Ee,we,qe,M,je,P,Be,w,Ot="在本节中，我们将深入了解 Transformer 模型的架构。",Re,y,De,E,Qt="以下是 Transformer 模型（简短）历史中的一些关键节点：",Ae,x,Wt='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/transformers_chrono.svg" alt="A brief chronology of Transformers models."/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/transformers_chrono-dark.svg" alt="A brief chronology of Transformers models."/>',ze,q,Xt='<a href="https://arxiv.org/abs/1706.03762" rel="nofollow">Transformer 架构</a> 于 2017 年 6 月推出。原本研究的重点是翻译任务。随后推出了几个有影响力的模型，包括',Ie,j,Zt='<li><p><strong>2018 年 6 月</strong>: <a href="https://cdn.openai.com/research-covers/language-unsupervised/language_understanding_paper.pdf" rel="nofollow">GPT</a>, 第一个预训练的 Transformer 模型，用于各种 NLP 任务并获得极好的结果</p></li> <li><p><strong>2018 年 10 月</strong>: <a href="https://arxiv.org/abs/1810.04805" rel="nofollow">BERT</a>, 另一个大型预训练模型，该模型旨在生成更好的句子摘要（下一章将详细介绍！）</p></li> <li><p><strong>2019 年 2 月</strong>: <a href="https://cdn.openai.com/better-language-models/language_models_are_unsupervised_multitask_learners.pdf" rel="nofollow">GPT-2</a>, GPT 的改进（并且更大）版本，由于道德问题没有立即公开发布</p></li> <li><p><strong>2019 年 10 月</strong>: <a href="https://arxiv.org/abs/1910.01108" rel="nofollow">DistilBERT</a>, BERT 的提炼版本，速度提高 60%，内存减轻 40%，但仍保留 BERT 97% 的性能</p></li> <li><p><strong>2019 年 10 月</strong>: <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">BART</a> 和 <a href="https://arxiv.org/abs/1910.10683" rel="nofollow">T5</a>, 两个使用与原始 Transformer 模型相同架构的大型预训练模型（第一个这样做）</p></li> <li><p><strong>2020 年 5 月</strong>, <a href="https://arxiv.org/abs/2005.14165" rel="nofollow">GPT-3</a>, GPT-2 的更大版本，无需微调即可在各种任务上表现良好（称为零样本学习）</p></li>',Ve,B,Jt="这个列表并不全面，只是为了突出一些不同类型的 Transformer 模型。大体上，它们可以分为三类：",Ge,R,Kt="<li>GPT-like (也被称作自回归Transformer模型)</li> <li>BERT-like (也被称作自动编码Transformer模型)</li> <li>BART/T5-like (也被称作序列到序列的 Transformer模型)</li>",Ue,D,el="稍后我们将更深入地探讨这些分类。",Ne,A,Ye,z,tl="上面提到的所有 Transformer 模型（GPT、BERT、BART、T5 等）都被训练为语言模型。这意味着他们已经以无监督学习的方式接受了大量原始文本的训练。无监督学习是一种训练类型，其中目标是根据模型的输入自动计算的。这意味着不需要人工来标记数据！",Se,I,ll="这种类型的模型可以对其训练过的语言进行统计理解，但对于特定的实际任务并不是很有用。因此，一般的预训练模型会经历一个称为<em>迁移学习</em>的过程。在此过程中，模型在给定任务上以监督方式（即使用人工注释标签）进行微调。",Fe,V,nl="任务的一个例子是阅读 <em>n</em> 个单词的句子，预测下一个单词。这被称为因果语言建模，因为输出取决于过去和现在的输入。",Oe,h,sl='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/causal_modeling.svg" alt="Example of causal language modeling in which the next word from a sentence is predicted."/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/causal_modeling-dark.svg" alt="Example of causal language modeling in which the next word from a sentence is predicted."/>',Qe,G,il="另一个例子是<em>遮罩语言建模</em>，该模型预测句子中的遮住的词。",We,$,al='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/masked_modeling.svg" alt="Example of masked language modeling in which a masked word from a sentence is predicted."/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/masked_modeling-dark.svg" alt="Example of masked language modeling in which a masked word from a sentence is predicted."/>',Xe,U,Ze,N,rl="除了一些特例（如 DistilBERT）外，实现更好性能的一般策略是增加模型的大小以及预训练的数据量。",Je,C,fl='<img src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/model_parameters.png" alt="Number of parameters of recent Transformers models" width="90%"/>',Ke,Y,ml="不幸的是，训练模型，尤其是大型模型，需要大量的数据，时间和计算资源。它甚至会对环境产生影响，如下图所示。",et,_,ol='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/carbon_footprint.svg" alt="The carbon footprint of a large language model."/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/carbon_footprint-dark.svg" alt="The carbon footprint of a large language model."/>',tt,S,lt,F,ul="Transformers是由一个团队领导的（非常大的）模型项目，该团队试图减少预训练对环境的影响，通过运行大量试验以获得最佳超参数。",nt,O,pl="想象一下，如果每次一个研究团队、一个学生组织或一家公司想要训练一个模型，都从头开始训练的。这将导致巨大的、不必要的浪费！",st,Q,gl="这就是为什么共享语言模型至关重要：共享经过训练的权重，当遇见新的需求时在预训练的权重之上进行微调，可以降低训练模型训练的算力和时间消耗，降低全球的总体计算成本和碳排放。",it,W,vl='顺便说一句，您可以通过多种工具评估模型训练的碳排放。 例如 <a href="https://mlco2.github.io/impact/" rel="nofollow">ML CO2 Impact</a> 或集成在 🤗 Transformers 中的 <a href="https://codecarbon.io/" rel="nofollow">Code Carbon</a>。 要了解更多相关信息，您可以阅读这篇<a href="https://huggingface.co/blog/carbon-emissions-on-the-hub" rel="nofollow">博客文章</a>，其中将向您展示如何生成 <code>emissions.csv</code> 文件估计训练的碳足迹，这里还有 🤗 Transformers 关于碳足迹的<a href="https://huggingface.co/docs/hub/model-cards-co2" rel="nofollow">文档</a>。',at,X,rt,Z,ft,J,cl="<em>预训练是</em>训练模型前的一个操作：随机初始化权重，在没有任何先验知识的情况下开始训练。",mt,b,dl='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/pretraining.svg" alt="The pretraining of a language model is costly in both time and money."/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/pretraining-dark.svg" alt="The pretraining of a language model is costly in both time and money."/>',ot,K,Tl="这种预训练通常是在非常大量的数据上进行的。因此，它需要大量的数据，而且训练可能需要几周的时间。",ut,ee,xl="另一方面，<em>微调</em>是在模型经过预训练后完成的训练。要执行微调，首先需要获取一个经过预训练的语言模型，然后使用特定于任务的数据集执行额外的训练。等等，为什么不直接为最后的任务而训练呢？有几个原因：",pt,te,hl="<li>预训练模型已经在与微调数据集有一些相似之处的数据集上进行了训练。因此，微调过程能够利用模型在预训练期间获得的知识（例如，对于NLP问题，预训练模型将对您在任务中使用的语言有某种统计规律上的理解）。</li> <li>由于预训练模型已经在大量数据上进行了训练，因此微调需要更少的数据来获得不错的结果。</li> <li>出于同样的原因，获得好结果所需的时间和资源要少得多</li>",gt,le,$l="例如，可以利用英语的预训练过的模型，然后在arXiv语料库上对其进行微调，从而形成一个基于科学/研究的模型。微调只需要有限的数据量：预训练模型获得的知识可以“迁移”到目标任务上，因此被称为<em>迁移学习</em>。",vt,k,Cl='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/finetuning.svg" alt="The fine-tuning of a language model is cheaper than pretraining in both time and money."/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/finetuning-dark.svg" alt="The fine-tuning of a language model is cheaper than pretraining in both time and money."/>',ct,ne,_l="因此，微调模型具有较低的时间、数据、财务和环境成本。迭代不同的微调方案也更快、更容易，因为与完整的预训练相比，训练的约束更少。",dt,se,bl="这个过程也会比从头开始的训练（除非你有很多数据）取得更好的效果，这就是为什么你应该总是尝试利用一个预训练的模型—一个尽可能接近你手头的任务的模型—并对其进行微调。",Tt,ie,xt,ae,kl="在这一部分，我们将介绍Transformer模型的一般架构。如果你不理解其中的一些概念，不要担心；下文将详细介绍每个组件。",ht,re,$t,fe,Ct,me,Ll="该模型主要由两个块组成：",_t,oe,Hl="<li><strong>Encoder (左侧)</strong>: 编码器接收输入并构建其表示（其特征）。这意味着对模型进行了优化，以从输入中获得理解。</li> <li><strong>Decoder (右侧)</strong>: 解码器使用编码器的表示（特征）以及其他输入来生成目标序列。这意味着该模型已针对生成输出进行了优化。</li>",bt,L,Ml='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/transformers_blocks.svg" alt="Architecture of a Transformers models"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/transformers_blocks-dark.svg" alt="Architecture of a Transformers models"/>',kt,ue,Pl="这些部件中的每一个都可以独立使用，具体取决于任务：",Lt,pe,wl="<li><strong>Encoder-only models</strong>: 适用于需要理解输入的任务，如句子分类和命名实体识别。</li> <li><strong>Decoder-only models</strong>: 适用于生成任务，如文本生成。</li> <li><strong>Encoder-decoder models</strong> 或者 <strong>sequence-to-sequence models</strong>: 适用于需要根据输入进行生成的任务，如翻译或摘要。</li>",Ht,ge,yl="在后面的部分中，我们将单独地深入研究这些体系结构。",Mt,ve,Pt,ce,El='Transformer模型的一个关键特性是<em>注意力层</em>。事实上，介绍Transformer架构的文章的标题是<a href="https://arxiv.org/abs/1706.03762" rel="nofollow">“注意力就是你所需要的”</a>! 我们将在课程的后面更加深入地探索注意力层；现在，您需要知道的是，这一层将告诉模型在处理每个单词的表示时，要特别重视您传递给它的句子中的某些单词（并且或多或少地忽略其他单词）。',wt,de,ql="把它放在语境中，考虑将文本从英语翻译成法语的任务。在输入“You like this course”的情况下，翻译模型还需要注意相邻的单词“You”，以获得单词“like”的正确翻译，因为在法语中，动词“like”的变化取决于主题。然而，句子的其余部分对于该词的翻译没有用处。同样，在翻译“this”时，模型也需要注意“course”一词，因为“this”的翻译不同，取决于相关名词是单数还是复数。同样，句子中的其他单词对于“this”的翻译也不重要。对于更复杂的句子（以及更复杂的语法规则），模型需要特别注意可能出现在句子中更远位置的单词，以便正确地翻译每个单词。",yt,Te,jl="同样的概念也适用于与自然语言相关的任何任务：一个词本身有一个含义，但这个含义受语境的影响很大，语境可以是研究该词之前或之后的任何其他词（或多个词）。",Et,xe,Bl="现在您已经了解了注意力层的含义，让我们更仔细地了解Transformer架构。",qt,he,jt,$e,Rl="Transformer架构最初是为翻译而设计的。在训练期间，编码器接收特定语言的输入（句子），而解码器需要输出对应语言的翻译。在编码器中，注意力层可以使用一个句子中的所有单词（正如我们刚才看到的，给定单词的翻译可以取决于它在句子中的其他单词）。然而，解码器是按顺序工作的，并且只能注意它已经翻译过的句子中的单词。例如，当我们预测了翻译目标的前三个单词时，我们将它们提供给解码器，然后解码器使用编码器的所有输入来尝试预测第四个单词。",Bt,Ce,Dl="为了在训练过程中加快速度（当模型可以访问目标句子时），解码器会被输入整个目标，但不允许获取到要翻译的单词（如果它在尝试预测位置2的单词时可以访问位置2的单词，解码器就会偷懒，直接输出那个单词，从而无法学习到正确的语言关系！）。例如，当试图预测第4个单词时，注意力层只能获取位置1到3的单词。",Rt,_e,Al="最初的Transformer架构如下所示，编码器位于左侧，解码器位于右侧：",Dt,H,zl='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/transformers.svg" alt="Architecture of a Transformers models"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/transformers-dark.svg" alt="Architecture of a Transformers models"/>',At,be,Il="注意，解码器块中的第一个注意力层关联到解码器的所有（过去的）输入，但是第二注意力层使用编码器的输出。因此，它可以访问整个输入句子，以最好地预测当前单词。这是非常有用的，因为不同的语言可以有语法规则将单词按不同的顺序排列，或者句子后面提供的一些上下文可能有助于确定给定单词的最佳翻译。",zt,ke,Vl="也可以在编码器/解码器中使用<em>注意力遮罩层</em>，以防止模型注意某些特殊单词。例如，在批处理句子时，填充特殊词使所有句子的长度一致。",It,Le,Vt,He,Gl=`在本课程中，当我们深入探讨Transformers模型时，您将看到
架构、参数和模型
。 这些术语的含义略有不同：`,Gt,Me,Ul="<li><strong>架构</strong>: 这是模型的骨架 — 每个层的定义以及模型中发生的每个操作。</li> <li><strong>Checkpoints</strong>: 这些是将在给架构中结构中加载的权重。</li> <li><strong>模型</strong>: 这是一个笼统的术语，没有“架构”或“参数”那么精确：它可以指两者。为了避免歧义，本课程使用将使用架构和参数。</li>",Ut,Pe,Nl="例如，BERT是一个架构，而 <code>bert-base-cased</code>， 这是谷歌团队为BERT的第一个版本训练的一组权重参数，是一个参数。我们可以说“BERT模型”和”<code>bert-base-cased</code>模型.”",Nt,ye,Yt;return M=new d({props:{title:"Transformers 是如何工作的？",local:"Transformers 是如何工作的？",headingTag:"h1"}}),P=new Jl({props:{chapter:1,classNames:"absolute z-10 right-0 top-0"}}),y=new d({props:{title:"一点Transformers的发展历史",local:"一点Transformers的发展历史",headingTag:"h2"}}),A=new d({props:{title:"Transformers是语言模型",local:"Transformers是语言模型",headingTag:"h2"}}),U=new d({props:{title:"Transformer是大模型",local:"Transformer是大模型",headingTag:"h2"}}),S=new St({props:{id:"ftWlj4FBHTg"}}),X=new d({props:{title:"迁移学习",local:"迁移学习",headingTag:"h2"}}),Z=new St({props:{id:"BqqfQnyjmgg"}}),ie=new d({props:{title:"一般的体系结构",local:"一般的体系结构",headingTag:"h2"}}),re=new St({props:{id:"H39Z_720T5s"}}),fe=new d({props:{title:"介绍",local:"介绍",headingTag:"h2"}}),ve=new d({props:{title:"注意力层",local:"注意力层",headingTag:"h2"}}),he=new d({props:{title:"原始的结构",local:"原始的结构",headingTag:"h2"}}),Le=new d({props:{title:"架构与参数",local:"架构与参数",headingTag:"h2"}}),{c(){T=a("meta"),Ee=s(),we=a("p"),qe=s(),m(M.$$.fragment),je=s(),m(P.$$.fragment),Be=s(),w=a("p"),w.textContent=Ot,Re=s(),m(y.$$.fragment),De=s(),E=a("p"),E.textContent=Qt,Ae=s(),x=a("div"),x.innerHTML=Wt,ze=s(),q=a("p"),q.innerHTML=Xt,Ie=s(),j=a("ul"),j.innerHTML=Zt,Ve=s(),B=a("p"),B.textContent=Jt,Ge=s(),R=a("ul"),R.innerHTML=Kt,Ue=s(),D=a("p"),D.textContent=el,Ne=s(),m(A.$$.fragment),Ye=s(),z=a("p"),z.textContent=tl,Se=s(),I=a("p"),I.innerHTML=ll,Fe=s(),V=a("p"),V.innerHTML=nl,Oe=s(),h=a("div"),h.innerHTML=sl,Qe=s(),G=a("p"),G.innerHTML=il,We=s(),$=a("div"),$.innerHTML=al,Xe=s(),m(U.$$.fragment),Ze=s(),N=a("p"),N.textContent=rl,Je=s(),C=a("div"),C.innerHTML=fl,Ke=s(),Y=a("p"),Y.textContent=ml,et=s(),_=a("div"),_.innerHTML=ol,tt=s(),m(S.$$.fragment),lt=s(),F=a("p"),F.textContent=ul,nt=s(),O=a("p"),O.textContent=pl,st=s(),Q=a("p"),Q.textContent=gl,it=s(),W=a("p"),W.innerHTML=vl,at=s(),m(X.$$.fragment),rt=s(),m(Z.$$.fragment),ft=s(),J=a("p"),J.innerHTML=cl,mt=s(),b=a("div"),b.innerHTML=dl,ot=s(),K=a("p"),K.textContent=Tl,ut=s(),ee=a("p"),ee.innerHTML=xl,pt=s(),te=a("ul"),te.innerHTML=hl,gt=s(),le=a("p"),le.innerHTML=$l,vt=s(),k=a("div"),k.innerHTML=Cl,ct=s(),ne=a("p"),ne.textContent=_l,dt=s(),se=a("p"),se.textContent=bl,Tt=s(),m(ie.$$.fragment),xt=s(),ae=a("p"),ae.textContent=kl,ht=s(),m(re.$$.fragment),$t=s(),m(fe.$$.fragment),Ct=s(),me=a("p"),me.textContent=Ll,_t=s(),oe=a("ul"),oe.innerHTML=Hl,bt=s(),L=a("div"),L.innerHTML=Ml,kt=s(),ue=a("p"),ue.textContent=Pl,Lt=s(),pe=a("ul"),pe.innerHTML=wl,Ht=s(),ge=a("p"),ge.textContent=yl,Mt=s(),m(ve.$$.fragment),Pt=s(),ce=a("p"),ce.innerHTML=El,wt=s(),de=a("p"),de.textContent=ql,yt=s(),Te=a("p"),Te.textContent=jl,Et=s(),xe=a("p"),xe.textContent=Bl,qt=s(),m(he.$$.fragment),jt=s(),$e=a("p"),$e.textContent=Rl,Bt=s(),Ce=a("p"),Ce.textContent=Dl,Rt=s(),_e=a("p"),_e.textContent=Al,Dt=s(),H=a("div"),H.innerHTML=zl,At=s(),be=a("p"),be.textContent=Il,zt=s(),ke=a("p"),ke.innerHTML=Vl,It=s(),m(Le.$$.fragment),Vt=s(),He=a("p"),He.textContent=Gl,Gt=s(),Me=a("ul"),Me.innerHTML=Ul,Ut=s(),Pe=a("p"),Pe.innerHTML=Nl,Nt=s(),ye=a("p"),this.h()},l(e){const t=Xl("svelte-u9bgzb",document.head);T=r(t,"META",{name:!0,content:!0}),t.forEach(l),Ee=i(e),we=r(e,"P",{}),Yl(we).forEach(l),qe=i(e),o(M.$$.fragment,e),je=i(e),o(P.$$.fragment,e),Be=i(e),w=r(e,"P",{"data-svelte-h":!0}),f(w)!=="svelte-ip77sq"&&(w.textContent=Ot),Re=i(e),o(y.$$.fragment,e),De=i(e),E=r(e,"P",{"data-svelte-h":!0}),f(E)!=="svelte-c4t1oi"&&(E.textContent=Qt),Ae=i(e),x=r(e,"DIV",{class:!0,"data-svelte-h":!0}),f(x)!=="svelte-u8zu2n"&&(x.innerHTML=Wt),ze=i(e),q=r(e,"P",{"data-svelte-h":!0}),f(q)!=="svelte-tmeb7v"&&(q.innerHTML=Xt),Ie=i(e),j=r(e,"UL",{"data-svelte-h":!0}),f(j)!=="svelte-1ksda3a"&&(j.innerHTML=Zt),Ve=i(e),B=r(e,"P",{"data-svelte-h":!0}),f(B)!=="svelte-qlpf6r"&&(B.textContent=Jt),Ge=i(e),R=r(e,"UL",{"data-svelte-h":!0}),f(R)!=="svelte-1verbo3"&&(R.innerHTML=Kt),Ue=i(e),D=r(e,"P",{"data-svelte-h":!0}),f(D)!=="svelte-1gq8elx"&&(D.textContent=el),Ne=i(e),o(A.$$.fragment,e),Ye=i(e),z=r(e,"P",{"data-svelte-h":!0}),f(z)!=="svelte-zqquvv"&&(z.textContent=tl),Se=i(e),I=r(e,"P",{"data-svelte-h":!0}),f(I)!=="svelte-y1ujmf"&&(I.innerHTML=ll),Fe=i(e),V=r(e,"P",{"data-svelte-h":!0}),f(V)!=="svelte-16b81ik"&&(V.innerHTML=nl),Oe=i(e),h=r(e,"DIV",{class:!0,"data-svelte-h":!0}),f(h)!=="svelte-lvew4p"&&(h.innerHTML=sl),Qe=i(e),G=r(e,"P",{"data-svelte-h":!0}),f(G)!=="svelte-8w5djo"&&(G.innerHTML=il),We=i(e),$=r(e,"DIV",{class:!0,"data-svelte-h":!0}),f($)!=="svelte-1r8x2dd"&&($.innerHTML=al),Xe=i(e),o(U.$$.fragment,e),Ze=i(e),N=r(e,"P",{"data-svelte-h":!0}),f(N)!=="svelte-1qwth7v"&&(N.textContent=rl),Je=i(e),C=r(e,"DIV",{class:!0,"data-svelte-h":!0}),f(C)!=="svelte-5uz5bp"&&(C.innerHTML=fl),Ke=i(e),Y=r(e,"P",{"data-svelte-h":!0}),f(Y)!=="svelte-11zp8w6"&&(Y.textContent=ml),et=i(e),_=r(e,"DIV",{class:!0,"data-svelte-h":!0}),f(_)!=="svelte-1a8euan"&&(_.innerHTML=ol),tt=i(e),o(S.$$.fragment,e),lt=i(e),F=r(e,"P",{"data-svelte-h":!0}),f(F)!=="svelte-4bxv2d"&&(F.textContent=ul),nt=i(e),O=r(e,"P",{"data-svelte-h":!0}),f(O)!=="svelte-he0ui5"&&(O.textContent=pl),st=i(e),Q=r(e,"P",{"data-svelte-h":!0}),f(Q)!=="svelte-1iouuc7"&&(Q.textContent=gl),it=i(e),W=r(e,"P",{"data-svelte-h":!0}),f(W)!=="svelte-1aza1ip"&&(W.innerHTML=vl),at=i(e),o(X.$$.fragment,e),rt=i(e),o(Z.$$.fragment,e),ft=i(e),J=r(e,"P",{"data-svelte-h":!0}),f(J)!=="svelte-11y6trs"&&(J.innerHTML=cl),mt=i(e),b=r(e,"DIV",{class:!0,"data-svelte-h":!0}),f(b)!=="svelte-152v0kx"&&(b.innerHTML=dl),ot=i(e),K=r(e,"P",{"data-svelte-h":!0}),f(K)!=="svelte-1hja4ab"&&(K.textContent=Tl),ut=i(e),ee=r(e,"P",{"data-svelte-h":!0}),f(ee)!=="svelte-v3b347"&&(ee.innerHTML=xl),pt=i(e),te=r(e,"UL",{"data-svelte-h":!0}),f(te)!=="svelte-1am9521"&&(te.innerHTML=hl),gt=i(e),le=r(e,"P",{"data-svelte-h":!0}),f(le)!=="svelte-1ci5gfe"&&(le.innerHTML=$l),vt=i(e),k=r(e,"DIV",{class:!0,"data-svelte-h":!0}),f(k)!=="svelte-1ngyuh1"&&(k.innerHTML=Cl),ct=i(e),ne=r(e,"P",{"data-svelte-h":!0}),f(ne)!=="svelte-10bdk0f"&&(ne.textContent=_l),dt=i(e),se=r(e,"P",{"data-svelte-h":!0}),f(se)!=="svelte-7kruj5"&&(se.textContent=bl),Tt=i(e),o(ie.$$.fragment,e),xt=i(e),ae=r(e,"P",{"data-svelte-h":!0}),f(ae)!=="svelte-1u252tu"&&(ae.textContent=kl),ht=i(e),o(re.$$.fragment,e),$t=i(e),o(fe.$$.fragment,e),Ct=i(e),me=r(e,"P",{"data-svelte-h":!0}),f(me)!=="svelte-tlh0rv"&&(me.textContent=Ll),_t=i(e),oe=r(e,"UL",{"data-svelte-h":!0}),f(oe)!=="svelte-33poyt"&&(oe.innerHTML=Hl),bt=i(e),L=r(e,"DIV",{class:!0,"data-svelte-h":!0}),f(L)!=="svelte-l70qs1"&&(L.innerHTML=Ml),kt=i(e),ue=r(e,"P",{"data-svelte-h":!0}),f(ue)!=="svelte-1k0h1x0"&&(ue.textContent=Pl),Lt=i(e),pe=r(e,"UL",{"data-svelte-h":!0}),f(pe)!=="svelte-z95x7q"&&(pe.innerHTML=wl),Ht=i(e),ge=r(e,"P",{"data-svelte-h":!0}),f(ge)!=="svelte-ia4r1g"&&(ge.textContent=yl),Mt=i(e),o(ve.$$.fragment,e),Pt=i(e),ce=r(e,"P",{"data-svelte-h":!0}),f(ce)!=="svelte-zm5nr1"&&(ce.innerHTML=El),wt=i(e),de=r(e,"P",{"data-svelte-h":!0}),f(de)!=="svelte-1b58mlv"&&(de.textContent=ql),yt=i(e),Te=r(e,"P",{"data-svelte-h":!0}),f(Te)!=="svelte-1sq7dhw"&&(Te.textContent=jl),Et=i(e),xe=r(e,"P",{"data-svelte-h":!0}),f(xe)!=="svelte-1hgqxuk"&&(xe.textContent=Bl),qt=i(e),o(he.$$.fragment,e),jt=i(e),$e=r(e,"P",{"data-svelte-h":!0}),f($e)!=="svelte-e72vzv"&&($e.textContent=Rl),Bt=i(e),Ce=r(e,"P",{"data-svelte-h":!0}),f(Ce)!=="svelte-1nlc0hs"&&(Ce.textContent=Dl),Rt=i(e),_e=r(e,"P",{"data-svelte-h":!0}),f(_e)!=="svelte-1s7uf9d"&&(_e.textContent=Al),Dt=i(e),H=r(e,"DIV",{class:!0,"data-svelte-h":!0}),f(H)!=="svelte-14wvpqf"&&(H.innerHTML=zl),At=i(e),be=r(e,"P",{"data-svelte-h":!0}),f(be)!=="svelte-fgqe5l"&&(be.textContent=Il),zt=i(e),ke=r(e,"P",{"data-svelte-h":!0}),f(ke)!=="svelte-1au0tea"&&(ke.innerHTML=Vl),It=i(e),o(Le.$$.fragment,e),Vt=i(e),He=r(e,"P",{"data-svelte-h":!0}),f(He)!=="svelte-1l2g0nf"&&(He.textContent=Gl),Gt=i(e),Me=r(e,"UL",{"data-svelte-h":!0}),f(Me)!=="svelte-ik0h8v"&&(Me.innerHTML=Ul),Ut=i(e),Pe=r(e,"P",{"data-svelte-h":!0}),f(Pe)!=="svelte-e1ebwk"&&(Pe.innerHTML=Nl),Nt=i(e),ye=r(e,"P",{}),Yl(ye).forEach(l),this.h()},h(){c(T,"name","hf:doc:metadata"),c(T,"content",en),c(x,"class","flex justify-center"),c(h,"class","flex justify-center"),c($,"class","flex justify-center"),c(C,"class","flex justify-center"),c(_,"class","flex justify-center"),c(b,"class","flex justify-center"),c(k,"class","flex justify-center"),c(L,"class","flex justify-center"),c(H,"class","flex justify-center")},m(e,t){Zl(document.head,T),n(e,Ee,t),n(e,we,t),n(e,qe,t),u(M,e,t),n(e,je,t),u(P,e,t),n(e,Be,t),n(e,w,t),n(e,Re,t),u(y,e,t),n(e,De,t),n(e,E,t),n(e,Ae,t),n(e,x,t),n(e,ze,t),n(e,q,t),n(e,Ie,t),n(e,j,t),n(e,Ve,t),n(e,B,t),n(e,Ge,t),n(e,R,t),n(e,Ue,t),n(e,D,t),n(e,Ne,t),u(A,e,t),n(e,Ye,t),n(e,z,t),n(e,Se,t),n(e,I,t),n(e,Fe,t),n(e,V,t),n(e,Oe,t),n(e,h,t),n(e,Qe,t),n(e,G,t),n(e,We,t),n(e,$,t),n(e,Xe,t),u(U,e,t),n(e,Ze,t),n(e,N,t),n(e,Je,t),n(e,C,t),n(e,Ke,t),n(e,Y,t),n(e,et,t),n(e,_,t),n(e,tt,t),u(S,e,t),n(e,lt,t),n(e,F,t),n(e,nt,t),n(e,O,t),n(e,st,t),n(e,Q,t),n(e,it,t),n(e,W,t),n(e,at,t),u(X,e,t),n(e,rt,t),u(Z,e,t),n(e,ft,t),n(e,J,t),n(e,mt,t),n(e,b,t),n(e,ot,t),n(e,K,t),n(e,ut,t),n(e,ee,t),n(e,pt,t),n(e,te,t),n(e,gt,t),n(e,le,t),n(e,vt,t),n(e,k,t),n(e,ct,t),n(e,ne,t),n(e,dt,t),n(e,se,t),n(e,Tt,t),u(ie,e,t),n(e,xt,t),n(e,ae,t),n(e,ht,t),u(re,e,t),n(e,$t,t),u(fe,e,t),n(e,Ct,t),n(e,me,t),n(e,_t,t),n(e,oe,t),n(e,bt,t),n(e,L,t),n(e,kt,t),n(e,ue,t),n(e,Lt,t),n(e,pe,t),n(e,Ht,t),n(e,ge,t),n(e,Mt,t),u(ve,e,t),n(e,Pt,t),n(e,ce,t),n(e,wt,t),n(e,de,t),n(e,yt,t),n(e,Te,t),n(e,Et,t),n(e,xe,t),n(e,qt,t),u(he,e,t),n(e,jt,t),n(e,$e,t),n(e,Bt,t),n(e,Ce,t),n(e,Rt,t),n(e,_e,t),n(e,Dt,t),n(e,H,t),n(e,At,t),n(e,be,t),n(e,zt,t),n(e,ke,t),n(e,It,t),u(Le,e,t),n(e,Vt,t),n(e,He,t),n(e,Gt,t),n(e,Me,t),n(e,Ut,t),n(e,Pe,t),n(e,Nt,t),n(e,ye,t),Yt=!0},p:Fl,i(e){Yt||(p(M.$$.fragment,e),p(P.$$.fragment,e),p(y.$$.fragment,e),p(A.$$.fragment,e),p(U.$$.fragment,e),p(S.$$.fragment,e),p(X.$$.fragment,e),p(Z.$$.fragment,e),p(ie.$$.fragment,e),p(re.$$.fragment,e),p(fe.$$.fragment,e),p(ve.$$.fragment,e),p(he.$$.fragment,e),p(Le.$$.fragment,e),Yt=!0)},o(e){g(M.$$.fragment,e),g(P.$$.fragment,e),g(y.$$.fragment,e),g(A.$$.fragment,e),g(U.$$.fragment,e),g(S.$$.fragment,e),g(X.$$.fragment,e),g(Z.$$.fragment,e),g(ie.$$.fragment,e),g(re.$$.fragment,e),g(fe.$$.fragment,e),g(ve.$$.fragment,e),g(he.$$.fragment,e),g(Le.$$.fragment,e),Yt=!1},d(e){e&&(l(Ee),l(we),l(qe),l(je),l(Be),l(w),l(Re),l(De),l(E),l(Ae),l(x),l(ze),l(q),l(Ie),l(j),l(Ve),l(B),l(Ge),l(R),l(Ue),l(D),l(Ne),l(Ye),l(z),l(Se),l(I),l(Fe),l(V),l(Oe),l(h),l(Qe),l(G),l(We),l($),l(Xe),l(Ze),l(N),l(Je),l(C),l(Ke),l(Y),l(et),l(_),l(tt),l(lt),l(F),l(nt),l(O),l(st),l(Q),l(it),l(W),l(at),l(rt),l(ft),l(J),l(mt),l(b),l(ot),l(K),l(ut),l(ee),l(pt),l(te),l(gt),l(le),l(vt),l(k),l(ct),l(ne),l(dt),l(se),l(Tt),l(xt),l(ae),l(ht),l($t),l(Ct),l(me),l(_t),l(oe),l(bt),l(L),l(kt),l(ue),l(Lt),l(pe),l(Ht),l(ge),l(Mt),l(Pt),l(ce),l(wt),l(de),l(yt),l(Te),l(Et),l(xe),l(qt),l(jt),l($e),l(Bt),l(Ce),l(Rt),l(_e),l(Dt),l(H),l(At),l(be),l(zt),l(ke),l(It),l(Vt),l(He),l(Gt),l(Me),l(Ut),l(Pe),l(Nt),l(ye)),l(T),v(M,e),v(P,e),v(y,e),v(A,e),v(U,e),v(S,e),v(X,e),v(Z,e),v(ie,e),v(re,e),v(fe,e),v(ve,e),v(he,e),v(Le,e)}}}const en='{"title":"Transformers 是如何工作的？","local":"Transformers 是如何工作的？","sections":[{"title":"一点Transformers的发展历史","local":"一点Transformers的发展历史","sections":[],"depth":2},{"title":"Transformers是语言模型","local":"Transformers是语言模型","sections":[],"depth":2},{"title":"Transformer是大模型","local":"Transformer是大模型","sections":[],"depth":2},{"title":"迁移学习","local":"迁移学习","sections":[],"depth":2},{"title":"一般的体系结构","local":"一般的体系结构","sections":[],"depth":2},{"title":"介绍","local":"介绍","sections":[],"depth":2},{"title":"注意力层","local":"注意力层","sections":[],"depth":2},{"title":"原始的结构","local":"原始的结构","sections":[],"depth":2},{"title":"架构与参数","local":"架构与参数","sections":[],"depth":2}],"depth":1}';function tn(Ft){return Ol(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class fn extends Ql{constructor(T){super(),Wl(this,T,tn,Kl,Sl,{})}}export{fn as component};
